GuildFTPD Title

HELP VERSION 0.999.8.11
LATEST UPDATES
GETTING STARTED
[ PLEASE READ ]
ABOUT
  • GUILDFTPD
  • HELP
 COMMUNICATION
  • REPORT PROBLEMS
  • EMAIL US
MAKE A DONATION


Introduction

Welcome to GuildFTPd THE FTP Daemon for Windows 95/98/NT/2000 systems!

You may be asking why we decided to come up with another FTP server program for the Windows environment. Well, basically, we didn’t like the ones available. The two major ones, Serv-U and WarFTPd, just didn’t have everything we wanted. You Linux users know how you can script glftpd and others by using TCL, and that simply wasn’t available for the Windows environment. So, here we are.

Please browse through this help file to get the hang of setting everything up properly. The program itself is easy enough to use without any docs, but it’s still a good thing to know.


License

GuildFTPd LICENSE

NOTICE:

You should carefully read the following terms and conditions before using this software. Using this software indicates your acceptance of this license agreement.

TERMS and CONDITIONS:

This License Agreement (the "Agreement") is a legal agreement between you, the end-user, and Matthew Flewelling. By using this software on a computer hard drive (or other media), you accept and are bound to the terms of this Agreement.

LICENSE:

I. Home and commercial users, government, educational and non-profit organizations may:
(a) install this program on an unlimited number of computers.
(b) use this software for an unlimited amount of time.

II. This software may be distributed freely on online services, bulletin boards, or other electronic media as long as the files are distributed in their entirety. This software may not be distributed on CD-ROM, disk, or other physical media at a cost to any above mentioned persons without the written permission of Matthew Flewelling.

III. You may not alter this software in any way, including
(a) changing or removing any messages or windows.
(b) decompiling, disassembling or reverse-engineering this software.

COPYRIGHT:

GuildFTPd is Copyright 2001, Matthew Flewelling. You must treat this Software like any other copyrighted material.

DISCLAIMER OF WARRANTY:

USERS OF GuildFTPd MUST ACCEPT THIS DISCLAIMER OF WARRANTY: THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SUPPLIED "AS IS". THE AUTHOR DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTIES OF MERCHANTABILITY AND OF FITNESS FOR ANY PURPOSE.

LIMITATION OF LIABILITY:

THE AUTHOR ASSUMES NO LIABILITY FOR DAMAGES, DIRECT OR CONSEQUENTIAL, WHICH MAY RESULT FROM THE USE OF GuildFTPd


About GuildFTPd

Please wait while you are transferred to GuildFTPd.com for the latest information.


DISCLAIMER

Some ISP providers do not support or allow the setup and running of FTP servers. Please read your ISP service agreement carefully before setting up GuildFTPD as a FTP server through your ISP. In doing so, you assume all liabilities and responsibilities. The creators of GuildFTPD are providing a program for your use and do not assume any responsibility for any use that violates any agreements of the you, the end user.

If you use the IRC plugin:
Although we provide GuildFTPD as an FTP server with IRC support, some IRC channels have restrictions against using IRC for FTP purposes. We do not take responsibility for any such usage and you do so at your own risk.


Donations

GuildFTPD is FREE.

If you would like to provide a donation, we do have the ability to accept those as a voluntary act of appreciation.


About GuildFTPD Help

GuildFTPd Help Version 0.999.8.11 by xxallen (Brad Allen Palmer)

GuildFTPd Copyright ©1999, 2000, 2001, 2002, 2003 by Steve Poulsen and Nitro (Matthew Flewelling)

Email us at guildftpd@guildftpd.com

This help file was compiled from original documentation provided by Steve and Matthew as well as HTML pages on www.guildftpd.com.

Additional content created by Brad.

SMC Router FAQ content provided by Bastien DOUCE.

mIRC Setup provided by Jesper.

To determine which version(s) of GuildFTPd this help file applies to, remove the numbers after the last period in the help file's version number. The remaining numbers are the version of GuildFTPd that the help file was based on. Some tips or settings may not apply to earlier versions of GuildFTPd, but most options are the same between revisions.

Please visit www.guildftpd.com for updated versions of GuildFTPd as well as the most recent support information.


GuildFTPD Program Version History

GUILDFTPd VERSION HISTORY

VERSION 0.999.7 - 02/10/2003

ADDITIONS:
  • Delete key is now used to delete user
  • Clicking X will not close GuildFTPd; it will send it to the systray if new option is checked

FIXES:
  • Fixed excessive page faults
  • Fixed splash screen version number
  • Fixed bug where sound did not play
  • Fixed passive mode from getting the wrong IP address when computer has multiple IP addresses
  • Fixed a shutdown bug (Pressing yes or no did the same thing)


Reporting Bugs/Problems/Issues

Visit www.guildftpd.com and open the GuildFTPD Messageboard.

The programmers and other users of GuildFTPD frequent the messageboard and are available to offer help.

The Messageboard is also the place to put in your two cents for enhancements and new features.

Another option is to send an email to guildftpd@guildftpd.com

When contacting us, try to remember to include the following information in your email or messageboard post:
- What Operating System are you running GuildFTPD on?
- Do you have any firewall or DSL/Cable routers set up?
- Can you connect to GuildFTPD from the same PC that you're running it on?
- What FTP client are you using?
- Have you tried any other FTP clients (like WS_FTP LE or CuteFTP)?
- Have you tried a search on the web site?
- Have you looked at the support section for any docs or FAQs that may answer your question?

We want to support you as quickly as possible, but cannot always respond to every request instantly. Please check the SUPPORT/SEARCH section of the web site for any new documentation or updates to the current documentation. We will use that portion of the web site to post updates or new content that will be included with the next help file.


What's NEW

GuildFTPd Server
 Version 0.999.8
February 27, 2003

VERSION UPDATES

ADDITIONS:
  • Added MIME encryption to username, IP, group and password to the config file
  • Right-click in the SPY window automatically copies text in it to the clipboard
  • New options for _ and X buttons on the toolbar

FIXES:
  • Fixed FXP support
  • Fixed other minor bugs
  • Changed minor GUI looks


GuildFTPd Getting Started

We're going to walk you through setting up just the simple options for GuildFTPD. Pictures will be used when possible and notes will be provided for additional info or links to other pages.

Click a link below to learn about basic setup steps of GuildFTPd.

1. LOCAL DIRECTORIES
2. USERS AND GROUPS
3. SERVER PATHS
4. SERVER SETTINGS
5. mIRC SETUP

NEXT


GuildFTPD Getting Started - LOCAL DIR

GuildFTPd Getting Started - Local Directory Setup

Before we set up users and options in GuildFTPd, we should set up some local directories that will hold the files we share in GuildFTPd.

Let's start by creating a new folder.

STEPS | NOTES
Open My Computer or Windows Explorer | Use the one you prefer.
Open the drive you want to create your root folder in. | Your choice. Our example will use C:
Click the File menu and select New -> Folder. |
Name it FTPdir. |
You should now see a new directory named FTPdir. | In our example, this will be accessible to GuildFTPd as C: \FTPdir

Ok, now you've got a data directory set up that can be used for GuildFTPd. Now, let's set up some subdirectories [These will hold files, after we set up Virtual Directories, later in the setup].

We're going to set up the following directories:
C: \FTPdir \root
C: \FTPdir \pub
C: \FTPdir \upload

STEPS | NOTES
Open My Computer or Windows Explorer | Use the one you prefer.
Open the drive you created FTPdir in. | We used C:
Open the FTPdir directory. |
Click the File menu and select New -> Folder. |
Name it root. |
You should now see a new directory named root. | In our example, this will be accessible to GuildFTPd as C: \FTPdir \root
Click the File menu and select New -> Folder. |
Name it pub. |
You should now see a new directory named pub. | In our example, this will be accessible to GuildFTPd as C: \FTPdir \pub
Click the File menu and select New -> Folder. |
Name it upload. |
You should now see a new directory named upload. | In our example, this will be accessible to GuildFTPd as C: \FTPdir \upload

Example of FTPdir and subfolders:

Ok, we've now got some directories set up that we can use with GuildFTPd.

Now, let's set up some users in GuildFTPd.

NEXT


GuildFTPD Getting Started - USER

GuildFTPd Getting Started - User & Group Setup

Let's set up some users and groups.

Before we continue, let's think of some names to use for our users and groups. If you want anyone to be able to log into your server, you want to create a user named ANONYMOUS. That's our first user. Our second user will be JOE. Our third user will be ADMIN.

So, we're going to set up the following users....
ANONYMOUS
JOE
ADMIN

In order to keep them seperated and easy to manage later, we need to set up some groups for these users. Let's create a ANON group for ANONYMOUS, an UPLOAD group for JOE and an ADMIN group for ADMIN.

So, we're going to set up the following groups....
ANON
UPLOAD
ADMIN

Here we go....

STEPS | NOTES
Start GuildFTPD. |
Click the + next to SYSTEM (in the left window) to see the default installed GROUP. Click the + next to TEMP to see the default USER, ANONYMOUS. | Skip this step if you can already see the GROUP and USER.
Right-Click on the GROUP named TEMP and select DELETE GROUP from the pop-up list. | Don't worry, we'll set up a new anonymous group and user later.
Right-Click on SYSTEM. Select ADD GROUP from the list. |
Name it ANON. | The picture is an example; type in ANON.
Richt-click on the new ANON group. Select ADD USER from the list. |
Click the Advanced button. Select Anonymous. Click OK. |
Click the + next to the ANON group and verify that the user anonymous shows up. |
Right-Click on SYSTEM. Select ADD GROUP from the list. |
Name it UPLOAD. | The picture is an example; type in UPLOAD.
Richt-click on the new UPLOAD group. Select ADD USER from the list. |
Name the user upload. Do not use CAPS and be sure to spell it correctly. Set whatever password you prefer. | I'll set my password to upload, just as an example.
Click the + next to the UPLOAD group and verify that the user upload shows up. |
Right-Click on SYSTEM. Select ADD GROUP from the list. |
Name it ADMIN. | The picture is an example; type in ADMIN.
Richt-click on the new ADMIN group. Select ADD USER from the list. |
Name the user admin. Do not use CAPS and be sure to spell it correctly. Set whatever password you prefer. Click the Advanced button, if it's not already light-gray. Select Administrator. | I'll set my password to supervisor, just as an example. The administrator option gives the user site admin permissions.
Click the + next to the ADMIN group and verify that the user admin shows up. |

Now, we have some groups and users. Next, let's look at setting up some FTP server PATHS for our users.


GuildFTPD Getting Started - PATH

GuildFTPd Getting Started - Path Setup

Let's set up some FTP server paths. FTP server paths are the directories and subdirectories that your users will see when they connect to your server.

Previously, we set up some local directories.
D: \FTPdir \root
D: \FTPdir \pub
D: \FTPdir \upload

Now, we're going to decide how our users can see and use those directories.

First, we're going to decide that we want D: \FTPdir \root to be our starting point. It's going to be our root FTP path [ What is a root FTP path? ].

We want all of our users to use this as the starting point. When ever we want a setting to affect all of our users, we want to make sure to set it up on the SYSTEM. Why? Changing a setting on the SYSTEM is like setting a default setting. Unless you change it for a specific USER or GROUP, it's the same for everybody. That makes it easier to work with global settings that affect all of your users.

Here we go....

STEPS | NOTES
Click on the SYSTEM in the left window to select it. Right-click in the path window and select Add Path. | IMPORTANT NOTES: - If you want to use the root of a drive, like a spare D:\ drive or CD-ROM E:\ drive, you need to make sure that you add a period after the \. - You must have at least one path specified as a Virtual Path of / If you do not have either of these set correctly, users will not be able to connect to the server and see files.
Browse to the local folder you want as your server root. Set it to be a Virtual Path of / Make sure the READ and LIST boxes are checked. | Using the folder examples I noted earlier when we set up our Local Directories, I'll be setting D: \FTPdir \root as my Virtual / or home directory. We're going to explain the READ and LIST check boxes later, so don't worry about why we checked them now.

Ok. We've got our starting folder set up for the FTP server. Right now, all users could see if they logged into the server is an empty directory. Since we want to define some specific directories for them to see and use, let's continue by setting up an additional path for our ANON, UPLOAD and ADMIN groups.

STEPS | NOTES
Click on the SYSTEM in the left window to select it. Click on the ADD PATH button. |
Browse to the local folder you want as your server's PUB subdirectory. Set it to be a Virtual Path of /pub Make sure the READ and LIST boxes are checked. | Using the folder examples I noted earlier when we set up our Local Directories, I'll be setting D: \FTPdir \pub as my Virtual /pub or home directory. This gives all of your users a path to download from. If you save files into this directory, everyone that connects to your server can download them.
Click on the UPLOAD group in the left window to select it. Click on the ADD PATH button. |
Browse to the local folder you want as your server's UPLOAD subdirectory. Set it to be a Virtual Path of /upload Make sure the READ, LIST, CREATE, APPEND and WRITE boxes are checked. | Using the folder examples I noted earlier when we set up our Local Directories, I'll be setting D: \FTPdir \upload as my Virtual /upload or home directory.
Click on the ADMIN group in the left window to select it. Right-click the / path in the Paths window and select Edit Path. |
Browse to the local folder you want as admin folder. Set it to a Virtual Path of /. Make sure that all boxes are checked. | Using the folder examples I noted at the top of this chart, I'll be setting D: \FTPdir as my Virtual / directory. Checking all of the boxes gives all file abilities to the ADMIN group.

Let's do a quick review. So far, we've set up some local directories, some groups and users and some FTP server paths.

What's left?

Now it's time to set up some server settings that control how users can log in, how long they can be using your server and what else can be done to control them while they are connected.


GuildFTPD Getting Started - SERVER

GuildFTPd Getting Started - Server Settings

Let's set some server settings to control what the users can and can't do.

First, let's make sure that there aren't any restrictions on what users or computers can connect to the server. We can do this by checking for IP Masks and Ban List entries. Both of these are described in more detail in the Advanced section of this help file. For now, let's just make sure there aren't any set up.

STEPS | NOTES
Click the Admin menu and select Edit IP Mask. Delete any or all entries that exist, if any do. |
Click the View menu and select Ban List. Unban any or all entries that exist, if any do. |

Now, let's set some of the global settings for GuildFTPd. Let's start with the basic settings.

STEPS |  | NOTES
Click on the SYSTEM to select it and check all ofthe boxes in the lower right window. You may need to click the OPTIONS [WINDOW D]tab at the bottom to see them. |  | Skip this step if they are already checked.
Make sure that at least the following OPTIONS are set: - Account Enable = ENABLE - Port = 21 - Administrator Privileges (a.k.a. Permissions Flag)= [] <- should not have a 1 or be ENABLE - Allow Hammering = DISABLE - Inactivity Timeout = 15 - Browsing Timeout = 30 |  | We're not going to set all options, but these options have the most impact to your server.
Click on each of your GROUPS and USERS [WINDOW A] to select them and make sure that none of the boxes in the lower right window are checked. You may need to click the OPTIONS [WINDOW D] tab at the bottom to see them. | - SYSTEM |
Make sure that at least Enable Login is not set to DISABLE on any of your USERS or GROUPS. If it is, you will receive an error similiar to using the wrong password. |  |

Now, let's set some additional, administrative settings.

STEPS | NOTES
Click on the Admin menu and select Options. | We're only going to set an option or two here.
Click on the AutoBAN tab. |
Uncheck the AutoBAN on NOOP. |
Click on the DDE tab. | We're going to assume you don't want to use the IRC plugin or scripts.
Uncheck the Enable DDE option and click OK. | If you do plan to use IRC or mIRC, you'll need this checked.

Now, let's set some server messages. These are messages that users will be able to see and read when they log into your server using a FTP client.

STEPS | NOTES
Click on the Admin menu and select Server Messages. | I'm only going to set up one message.
Click on the PRE-LOGIN tab. |
Enter a message you'd like your users to see when they first connect to your server and then click OK. | I'll input this: "Welcome to my FTP server. The server has been up for: $systemuptime. Have a nice day."

Now, it's time to reset the server and test your setup.

STEPS | NOTES
Click on the Admin menu and select Restart Server. |
Open a FTP client and connect to your server on port 21 as each of the users. | You'll need to get your IP address in order to connect. - Click Admin menu, Select Options - Click Advanced tab and note the IP address listed next to NIC 0. That's the address you'll need to use to connect to the server.

You should now be able to connect and use your new FTP server on port 21. Congratulations!!!

If you have any questions or something isn't right and you couldn't connect, check the Troubleshooting section of this help file. If that doesn't work, try the SUPPORT/SEARCH section of our website at http://www.guildftpd.com.When all else fails, drop us an email at the CONTACT or MESSAGEBOARD section of our website at http://www.guildftpd.com.

PREV


[GuildFTPd & mIRC]

Overview:

Topics:
Requirements
Installation
DDE Setup
How it works
Monitoring Setup Tab
FTPad Setup Tab
Color Setup Tab
Advanced Setup Tab
Remote Admin Setup

Short words:

Guild FTP daemon is written as GFTPd
Guild's @window in mIRC is written as @GFTPd
Right mouse button as RMB
Left mouse as LMB
Words in "quotes" are to be written without them :)
Kilobits as kb or kbps.
Kilobytes as K, or KBps.
FTP advertiser as FTPad or just ad.

Requirements:

A computer with internet connection :P
Download GuildFTPd Required.
Download IRC Script Required.
Download IRCBot Addon NOT required and NOT supported.
Download Ratio Plug'in Addon NOT required.
Download SFV File Checker Addon NOT required.
Download Statistics Plug'in Addon NOT required.
Download mIRC 6x Required.

Note:
The IRCScript does NOT work on mIRC versions below 6x!

To Top

Installation

Close mIRC, and GFTPd if they are running on your computer.
If you have the latest versions installed, skip the install process.

Install GuildFTPd:
Run GuildFTPd.exe and install it, where ever you want to (if you have the latest version installed skip this step).
Install all the plug'ins by running the *.exe files. (except the IRCScript.exe)

Install mIRC:
Run mIRC601.exe, and install it, where ever you want to (if you have the latest version installed skip this step).

Upgrade mIRC to v6.01:
Run mIRC601.exe, and install it onto your previous mIRC,
when the installer asks you where to install mIRC, check the checkbox to have mIRC keep your settings.

After instillation of GFTPd, open my computer "desktop icon" click twice with LMB
On drive C:\.. You should see a folder name "FTPRoot" delete that.
(HALT!! Do not delete it if you're using this as FTPRoot and have all your files in it!!!)
If you don't have a folder with the files you want to share yet, you need do make some right now.
Use "my computer" select a drive, (if you have more than C:\ use another drive),
on the root of the drive you have chosen make a new folder, name it "FTP",
Go in to that folder and make a dir called "upload" and move your stuff into the FTP folder... Here is an example:
E:\FTP
E:\FTP\Gamez
E:\FTP\Appz
E:\FTP\upload
E:\FTP\Books
E:\FTP\Shareware

Run GFTPd to proceed, follow the help file to setup your user accounts and other settings.

To Top

DDE Setup:

DDE in GuildFTPd:
At first we are gonna change the DDE service name, in mIRC and GFTPd.
Reason for this is so you can have multiply mIRC programs open, without they mess up the mIRC you run the GFTPd Script on.

When you have setup your settings in GFTPd, open the options dialog window.
Admin->Options->DDE: The settings there MUST be set exactly as on this picture below,
except for the update delay, which is the update rate that GFTPd should pass an automatic status update to mIRC.
You chose a delay of your own, but keep in mind, the lower rate you set the more will mIRC and GFTPd work, it can cause some lag on your computer.
DDE must be enabled

When done click OK, close GFTPd, open it again, make sure the server is online then minimize it to tray.

DDE in mIRC:
Now run mIRC, if you did a clean install of this fill in you personal info in the dialog window that appears,
if you just upgraded from an earlier version, and you chose to have the installer keep you settings, you only need to change the DDEname, the same goes if you allready using mIRC 6x.
In the options dialog window click and expand the "General" section, highlight servers.
Change the DDE service name here, to "mIRC-GFTPd", just like on the picture below.
The DDE delay here has absolutly nothing to do with the update rate in GFTPd's DDE settings.

Now highligth the "Connect" section, click Connect to server.

To Top

Install and 1st look:

New window:
Now its time to install the GFTPd-IRCScript, so run mIRCScript.exe from the location you downloaded it to.
Install it to the folder where you have your mIRC.
When its done, switch back to mIRC and in any window type /load -rs gftpd.mrc. When mIRC asks you if youre sure you want to load this script click YES.
The script will now open a new window named @GuildFTPd, and a dialog window will popup,
in the dialog window, browse to the folder where you have GuildFTPd installed, e.g. C:\Program Files\GuildFTPd\. Click OK.
You should now see 1 line in the window:
[07:21pm] GuildFTPDScript 0.998-2.0.5 Multi-server by EZJohnson Initialized and Ready For Use!

Use right mouse button in the window to open the menu

Use right mouse button in the window to open the menu, click "status update" and a new line should appear,
like this: [07:28pm] [ Status: Listening ][ Port: 21 ][ Connections: 0 ]
If you cant see this line, then GuildFTPd is closed, open it up and do another status update.
If you still dont get a new line like the above one, there is no DDE connection, between mIRC and GFTPd.
Make sure you have changed the DDE names like described in the DDE Setup section.
Rememeber to restart mIRC and/or GFTPd if you make any changes to the DDE.
If you get a line that says [07:28pm] [ Status: Shutdown ] your server is closed for new logins, open GFTPd and fix that, then do another status update.

Nicklist & Channel menu:
A little look on the nicklist and channel menu.

Menu Items

Each option should be selfexplanatory, so I wont describe them, except that to use the "Mass Stuff", you must have 1 or more nicks highlighted.

To Top

Monitoring tab:
Use right mouse button in the @GFTPd window to open the menu, click "configure" and a new dialog window will appear,

Main Configuration:

Banlist:
This shows the current active bans and the remaining time left on them.
You can also manunally add new bans here, on the picture I set 4 examples of how you add new bans.
Enter the IP or IPmask in the IP to ban editbox and the duration of the ban where 0 is for perm bans, click add. in the @GFTPd window you should get 2 new lines like these:
[12:44pm] [ 127.0.0.1 Has Been Kicked ]
[12:44pm] [ 127.0.0.1 Has Been Banned ]
And you can remove any of them again by click on the ban to remove and then click the remove button.
Note: I found a little bug here, when adding a masked ban, the scripts doesnt kick the user, it will be fixed.

Channels monitoring:
Channels to monitor:
Here you select which channels to monitor (to resolve userip's to nick and where to show the build'in FTP ad (described later on)).
When you add a #channel make sure you use "#Channel" with the #! And that youre using the correct $network name, if you dont know your network name, then activate mIRC's status window (no need to close the configuration dialog window)
Type in the status window //echo $network, then mIRC will reply with the $network name and thats the name you MUST use.
You can add up to 10 channels, but be advised that if you monitors and uses your FTPad in more than 3-4 #channels
you will experience a lot of EXCESS FLOOD, because mIRC has a limit of how many characters you can send simultaneously, all depending on the size of your FTPad of course.
Its different from network to network.

GuildFTPd DDE servicename:
This MUST stay as "GuildFTPd", notice that mIRC's DDEserver name isnt the same as GFTPd's servicename.

Kick if not in channel:
Kicks a user off the FTP if he is not in any monitored channels, (only affects users which are listed in "logins to monitor" (described later).
Must be Voice or OP:
Kicks a user off the FTP if he is not +v or +o in any monitored channels, (only affects users which are listed in "Check only these logins" (described later).
Ban if not in channel:
Bans a user off the FTP if he is not in any monitored channels, (only affects users which are listed in "logins to monitor" (described later).
Ban Duration:
You need to specify a duration if you wanna use "ban if not in channel".
Allow leave after login:
Allows a user to leave the monitored channel after he logged in, without being kicked or banned,
this does NOT let user on the FTP if they aren't in the #channel when they login, and/or if the user leaves your site he must join your #channel to get access again.

Check only these logins:
Here you add login's that should be affected by the rules you just set in the above section.
login must be a valid user account login that you have made in GFTPd.
Example: if you run a site with anonymous login and a upload login and you want GFTPd to auto kick/ban anon users that are not in any #channels,
but not users are the upload account. (no need to kick users that contributes ;).
Enter anonymous in the editbox and click add, dont add the upload login, or else GFTPd will auto kick/ban that user too. And make sure its enabled.

Fast user DL speed:
This feature will just give the user another color in the nicklist window in @GFTPd.
In the example its set to give another color if the download speed is above 10KBps.

Kick/ban grace period:
This gives a monitored login (the user(s)) a specific amount of time to rejoin your #channel, when netsplits, ping timeout etc etc occurs.
In the example its set to 5 minutes (300 secs), which should be more than enough during netsplits.

CTCP stats:
If enabled any user can CTCP you to get your current FTP status, you can set any trigger you want, I just used "GFTPdStats in the example". Here is what it will return, in /msg method:
[Jesper] [Current Identified Users]: nick1 nick2 nick3 IP1 IP2 etc etc.
[Jesper] [Total Users]: 5 [Total Download]: 500 k/s [Total Upload]: 4000 k/s [Total Aggregate Bandwidth]: 4500 k/s or whatever current speeds are.
[Jesper] [fixed disk C]: 4502.56 megs / 2106.9 megs free [fixed disk D]: 7655.97 megs / 2495.86 megs free [fixed disk E]: 57247.22 megs / 37941.09 megs free [Total Free]: 42543.85 megs
Doensn't matter how many drives you have, the script uses %variables to count them.

Click Apply ONLY. and click on the FTPad tab.

To Top

FTP ad tab:

FTP advertiser setup:
If the setup dialog window is closed, use right mouse button in the @GFTPd window to open the menu, click "configure" and a new dialog window will appear, click on the FTPad tab.

This is a powerfull FTPad to use, if you have no idea on how to make your own :).

FTP advertiser dialog window
I guess this is pretty self explanitory, so no need to provide much more information on this, except a few things.
1: when using [ $+ $ip $+ ] remember to add either Bold or Color on the brackets, and colors must be in 1,00 format so mirc aint using the 1st digit in your IP as a color code
4 examples:
[ $ip ] returns [ 127.0.0.1 ]
[ $+ + $ip $+ ] returns [$ip]
[1,0 $+ + $ip $+ 1,0] returns [27.0.0.1] and not 127.0.0.1
[1,00 $+ $ip $+ 1,0] returns [127.0.0.1]
This goes for all $vars that starts with a digit.
The "repeat rate in secs" is the duration between the ad will show
note that the ad will show in all the channels you have selected to monitor!
The enable checkbox is of course to start/stop the ad (dont enable it yet)
Note that when you start/stops it you MUST click apply or OK also.
Now set your FTPad up, you can scroll down in the window to see the list of variables to use and some examples.
In order to make the $!gc(account) and $!gm(account) works it is important that the max users for the affected accounts are set right in GFTPd.
Example: If you have an anonymous account with max 5 users allowed.
The max users must be specified on the anon account else $!gc(anonymous) and $!gm(anonymous) only return N/A or 0.
A default user setup example in GFTPd
These settings are to be set on a LOGIN/USER NAME, not on a GROUP
When done click Apply ONLY, then click the colors tab.

To Top

Colors Tab:

Color setup:
If the setup dialog window is closed, use right mouse button in the @GFTPd window to open the menu, click "configure" and a new dialog window will appear, click on the Colors tab.

Choose some colors if you want mine is set Red, Blue & Purple.
The first column of colors gives the status/info a new color in the @GFTPd main window.
The second column of colors gives the User/Nicks/IPs a new color in the @GFTPd main window.
The first column of colors gives the Nick/IP a new color in the @GFTPd nicklist window.

There really isnt much to say about it, other than "go set some colors", press apply, and go on to the Advanced tab.

To Top

Advanced Setup Tab:
If the setup dialog window is closed, use right mouse button in the @GFTPd window to open the menu, click "configure" and a new dialog window will appear, click on the Advanced tab.

Port Hopping:
You can configure GFTPd to automatic change the system port at a given duration and a range to hop between.
In the example GFTPd is set to hop to a random port between 10000 and 65535 (where 65535 is the max available TCP port.) on every hour (60 minutes).
You can choose your own port range and delay, and you dont NEED to use it.

Current System Port:
This option, allows you to change the system port right away, and view the current port.

I have an little alias script so I can change it faster.
Copy and Paste this in any aliases file:
ftpport {
writeini Gftpd/Gftpd.ini GFTPDPortDlg MainPort $1
dde %GFTPDddename setport "" $readini(Gftpd/Gftpd.ini, GFTPDPortDlg, MainPort)
GFTPDportrefresh
}
Usage is from any mIRC window /FTPPORT ##### where ##### is the port# you want to change to.

Multiport Configuration:
This option, is if you use the porthopper on your server, and you have some accounts, which you dont want GFTPd to change the port randomly on.
They can be added and changed here, (GFTPd will update these accounts in this window, if you change the ports from GFTPd).

Password Hopping:
Explanation:
V = Random UPPERcase vowel
v = Random LOWERcase vovel
C = Random UPPERcase consonant
c = Random LOWERcase consonant
N = Random number
n = Random number

You can use the password hopper on every account you want to, by adding them to in the box, and adding a mask combination of your choice.
On the picture I used "CcVvNn" which will return a random combination, could be "XfAu84" or anything else.
You can choose your own combination and delay, and you dont NEED to use it.
The "real words" feature is supposed to make real words out of your combination, but it dont work properly, so I cant recommend using that.
Note: to reveal the current password of an account using the password hopper type in any mIRC window //echo $gpa(account) and to use with the built'in FTP'ad use $!gpa(account)

Priv IPs:
This option is if you have some users that should be affected by the punishment that GFTPd performs on the logins being monitored,
and if you have some users where the script is unable to resolve the IP to a nick.
Add them as the picture shows you can use IP masks if you want to.
I reccomend you adding your own IP here, so you can login your server, using the monitored account(s), //dns $me to resolve your IP.
Reason is that the script cant recognize yourself as a nick in a monitored channel, if you have a HOST name.

Logging:
Personally I find this feature useless and a waste of diskspace.
The 3 options is pretty self explanatory, so I wont comment them here.

To Top

Remote Admin:
If the setup dialog window is closed, use right mouse button in the @GFTPd window to open the menu, click "configure" and a new dialog window will appear, click on the Remote Admin tab.

Remote Adminstration Setup

DCC chat remote admin:
The remote admin allows you and other users to administrate GFTPd from mIRC, by using a DCC Chat window, activated by a CTCP trigger, that you specify.
Usage: From any mIRC window type /ctcp (your nick) (trigger) e.g. "/CTCP Jesper GFTPd-admin"
The trigger must be 1 word (no spaces).
When the trigger is typed, your mIRC will initiate a DCC Chat with the user that used the trigger.

Here is a list of the current available commands, (a lot will be added in future versions).

Remote admin window
Note: Don't use a trigger that can be guessed or any of the common that lame channel flooders uses.
And this trigger is not to be mixed up with the stats trigger!

To Top

Written by Jesper@guildftpd.com {IRC.Undernet.Org #GuildFTPd}
Date 06.07.2002
www.guildftpd.com
;EOF


EDIT IP Mask

HOW IT WORKS [MORE DETAIL]

Description:

This window (available by ADMIN menu - Edit IP Mask) allows you to set IP Accept/Deny addresses or octets. You can click on SYSTEM, a GROUP or a USER and set specific IP Masks for each.

Make sure to keep the Deny values at the top of your list and the Accepts at the bottom. The server decides if you're allowed to connect or not by the order these are entered. If you place set up an Accept at the top and then Deny it lower, the Deny will prevent you from connecting.

Dialog... This is where you enter the IP address or octet.
IP address = 127.0.0.1
octet = 127.0.0.* or 127.0.*.* or 127.*.*.*

Accept... Click this button before you click Add or Insert to set the Dialog value you entered to be allowed to connect to the server.

Deny... Click this button before you click Add or Insert to set the Dialog value you entered to not be allowed to connect to the server.

Add... Click this button after you have entered your address and selected Accept or Deny. This will add the entry to the bottom of the list no matter what you have selected in the list.

Insert... Click this button after you have entered your address and selected Accept or Deny. This will add the entry above what you have selected in the list.

Delete... Select an entry first, then click this button to remove it from the list.


Event Manager

** IMPORTANT ** The sound events that had been configured in the Event Manager of version 0.993 may not transfer to the Event Manager of version 0.994 correctly. Sound events may show up as Execute events after the upgrade. You can cut and paste them back into the Sounds section.

SETTINGS:

* Systray Bubble message * - This option is available for all Events. This option allows you to display a Windows 2000/ME/XP bubble pop-up message when the event occurs.

* Play sound * - This option is available for all Events. This option allows you to play a sound (wav file) on the server (not on the user's PC) when the event occurs.

* Execute * - This option is available for all Events. This option allows you to execute batch files or external programs when the event occurs. The additional drop-down menu gives you the following advanced options:
*Start Hidden* - Run the program in a hidden window.
*Start Normal* - Run the program in a normal window.
*Start Minimized* - Run the program in a minimized window.
*Start Maximized* - Run the program in a maximized window.

* Cheat sheet: * - This window shows you which variables are available for each event. Only the black text ones can be used with each Event.

For more information on the available variables for each event & what they do, see this CHART.


Server Messages

Messages Defined:

Pre-Login:
- The message is displayed when a user CONNECTS to the server, but has yet to issue a USER command.

Post-Login:
- The message is displayed when a user has sucessfully logged into the server, but before the DIR command.

Logout:
- The message is displayed when a user has sucessfully logged out of the server.

Banned:
- <client dependant / may not always work> This message is displayed when a user is banned from the server (violating the hammer rules)

Pre-Download:
- The message is displayed after a RETR command, before it has finished downloading the file.

Post-Download:
- The message is displayed after a sucessful RETR command (download).

Pre-Upload:
- The message is displayed after a STOR command, before it has finished uploading the file.

Post-Upload:
- The message is displayed after a sucessful STOR command (upload).

Variables Defined:

$freespace<drive>:
- The amount of free space (in MB) left on the drive specified

$username:
- The name of the user logged in. NOTE: This will always be anonymous if used in Pre-Login

$uploadcount:
- The number of files you have uploaded to the server (per session, not cumulative). NOTE: This number will increment the next time you initiate an upload after a sucessful transfer. So, if you set this variable in the POST-UPLOAD and upload a file, it will show how many you have uploaded, except the file that just completed.

$uploadbytes:
- The amount of bytes you have uploaded to the server (per session, not cumulative). NOTE: This number will increment the next time you initiate an upload after a sucessful transfer. So, if you set this variable in the POST-UPLOAD and upload a file, it will show how much you have uploaded, except the file that just completed.

$time:
- The server's time (in military format)

$downloadcount:
- The number of files you have downloaded from the server (per session, not cumulative). NOTE: This number will increment the next time you initiate an download after a sucessful transfer. So, if you set this variable in the POST-DOWNLOAD and download a file, it will show how many you have downloaded, except the file that just completed.

$downloadbytes:
- The amount of bytes you have downloaded from the server (per session, not cumulative). NOTE: This number will increment the next time you initiate an download after a sucessful transfer. So, if you set this variable in the POST-DOWNLOAD and download a file, it will show how much you have downloaded, except the file that just completed.

$userip:
- The IP address of the user who has connected to the server.

$systemuptime:
- The amount of days, hours, minutes and seconds that the server has been running without a reboot. NOTE: This is the server, not the GuildFTPd software.

$guildftpduptime:
- The amount of days, hours, minutes and seconds that GuildFTPd has been running without a restart.

$ftpservername:
- The name of the server that you've specified in Server Options.

$date:
- The date, in the following format: month (xx) day (xx) year (xxxx)

$timeofday:
- The relative time of day (Morning, Evening, Afternoon, etc.)

$usergroup::
- The name of the group the logged in user is a member of.

$userpass:
- The password supplied by the user.


Options / ADVANCED

Options Defined:

* NIC * - The virtual number associated with your (N)etwork (I)nterface (C)ard. If you only have one, leave the default at 0. If you have more than one NIC and want to change which one GuildFTPD monitors for connections, you can increase the number by one and watch the grey box to the right change IP addresses. Once you've found the right NIC number with the right IP address, click OK.

* List IP's* - This button will list all network interfaces and the corresponding IP address for each. You can then type in the correct NIC number for the network interface card you want to use. You'll also see that 99 can be used to make GuildFTPd available on all network interfaces.

* BUFFER SIZE (send / recieve) * IMPORTANT - ADDITIONAL INFO - The buffer size GuildFTPd uses for sending and receiving information to/from the FTP client. Changing these values can improve upload/download speed or make them worse. Unless you are having speed issues, you should leave these at the default. You should click the above link and read more about how to use this new feature.

* Passive mode* MORE INFO

* Custom IP * - When depressed (on), this button enables support to allow you to run the FTP server behind a firewall or NAT server.

* Real IP address * - You can either enter your WAN IP address or your DNS name. The WAN IP address is the address that is accessible from the Internet, on your router or firewall. The DNS name is a name you are using with a Dynamic IP service, like NO-IP or DynDNS.

* DNS * - If you enter a DNS name instead of an IP address, you MUST click this button. GuildFTPd will look up the address of your domain name and prompt you with the information it found. This allows you to verify that your DNS name and related IP address are correct.

* Port Range* - When the Passive option is on, you can edit what ports GuildFTPD uses for passive connections to the server. This allows you to restrict how many ports are open through your firewall or DSL/Cable router. The start and end ports you set here should be also set in your firewall or router's config.


Options / AUTOBAN

AutoBAN

Options / Attributes Defined:

* HAMMER TIME (seconds) * - The minimum time frame for users to connect.

* HAMMER COUNT * - The number of times a user can attempt to connect to the server (within the HAMMER TIME) before a user is automatically banned.

* BAN DURATION (minutes) * - How long a user is banned if they fail to connect after the number of HAMMER COUNT is reached within the HAMMER TIME.

* AUTO BAN ON NOOP * - Some FTP clients have an option known as NOOP. The NOOP command allows a user to stay connected to a FTP server even if the user isn't doing anything. Turning this on allows the server to instantly ban a user who's FTP client issues the NOOP command to stay connected.

* AUTO BAN on timeouts * - When checked, a user will be banned for 15 minutes if they do not do anything past the time limit set for idle timeout. When unchecked, a user is not banned for exceeding the idle timeout.

* on hack * - How the server should react to an attempted ls \ is executed by a client.
* Ask Me * - Kicks the user and prompts a message on the server screen on whether or not to ban the user (not recommended)
* Auto Kick * - Automatically kick the user off the server.
* Auto Kick and Ban * - Automatically kick the user off the server and ban them for the default Ban Duration.
* Do nothing * - blocks the attempt and does not allow access to the hard drive (recommended).


Options / DDE

Options Defined:

* DDE Server Name * - The name mIRC uses to interact with GuildFTPD. The default is OpenFTP. This can be changed to anything without spaces. Programmers can use DDE to make their own addons using this name.

* mIRC server name * - The IRC server name. The default is mIRC.

* Update Rate (sec) * - How often GuildFTPD updates to mIRC.

* ENABLE DDE * - This enables DDE support. Without this checked, the internal IRC client won't work.


Options / GENERAL

Options Defined:

* GUI *

* _ Minimizes to Taskbar, X Closes GuildFTPd * - Click _ to put GuildFTPd in the Taskbar and X to exit GuildFTPd.

* _ Minimizes to Tray, X Closes GuildFTPd * - Click _ to put GuildFTPd in the system tray (next to the clock) and X to exit GuildFTPd.

* _ Minimizes to Tray, X Minimizes to Tray * - Click _ or X to put GuildFTPd in the system tray (next to the clock)

* _ Minimizes to Taskbar, X Minimizes to Tray * - Click _ to put GuildFTPd in the Taskbar and X to put GuildFTPd in the system tray (next to the clock).

* Animate windows * - This checkbox controls whether or not the window opening and closing animations are displayed. Unchecking this option takes affect after you OK the window.

* Splash screen at startup * - This checkbox controls whether or not the opening splash banner appears when you launch/start the server.

* MISC OPTIONS*

* Show Hidden Files to Users * - This checkbox controls whether or not the users will see files and folders marked with the hidden attribute, if they are not set up as a Virtual Directory in GuildFTPd. Uncheck to "hide" hidden files from users.

NOTE: This setting will control whether files and folders can be SEEN. If you or users you've told know that a certain file or folder exists, you (they) can still download the file or cd into that directory... even though it's hidden and you've unchecked this box. This only affects local subfolders that are NOT set up as a Virtual Path in GuildFTPd. If you set up a Virtual Path to a folder that's marked hidden, it will be displayed in the FTP client.

EXAMPLE:

Local Path | Virtual Path | Attributes
In GuildFTPd, you have.... D: \FTPdir | / | RWADCL
This folder exists, D: \FTPdir\PRIVATE | <not set up> | hidden (using Windows Explorer)

So, the subfolder \PRIVATE is not set up as a Virtual path and is marked HIDDEN. When you connect to your FTP server, you won't see /PRIVATE, but... you can cd /PRIVATE and access the files and other folders in it.

* Case sensitive password * - This checkbox determines whether or not the server will enforce case sensitive passwords. If you want your users to be required to enter passwords like PaSsWoRd, this must be checked. If you want any version of a password to work, like PASSWORD or password or PaSsWoRd, etc, you can uncheck this box.

* Delete to Recycling Bin * - This checkbox determines whether or not the server will delete files or send them to the Recycle Bin. Checked will send them to the Recycle Bin and unchecked will delete them.

* Clear CDRom cache timer (minutes) * - This checkbox and number value will control whether or not the server should refresh the CD-ROM cache and how often. Check the box and input your value in minutes.

* Folder limit INCLUDES subdirectories * - This checkbox controls whether or not the Folder Limit you input for a path includes all files within subdirectories of that path. If you set a limit of 50 MB (51,200 KB), then all files within that folder and its subdirectories will count towards 50 MB. Unchecking this box will only count 50 MB of files that are in it, not in its subfolders.

* Block the resuming of dowloads * - This checkbox controls whether or not users are able to resume a download. Checked, they are unable to, unchecked they can.


Options / SERVER

Options Defined:

* FTP server name * - Allows you to give a name to the server that is displayed during client connections.

* Admin's e-mail * -= NEW =- - Currently, the email you input here will be displayed when a user uses the SITE HELP command. SITE HELP will return, "Direct comments to <admin email here>"

* LOG FILE DIRECTORY * - The directory the log file is saved in. When blank, it defaults to the current directory where GuildFTPd is installed. The filename will remain syslog.txt

* LOG LEVEL * - The level of server activity/messages that get logged to the log file. MORE INFO

* Allow only one process * -= NEW =- - This check box will control whether or not GuildFTPd can be launched more than once. When checked, you can only run one instance of GuildFTPd.

* Resolve user Host Name * -= NEW =- - This check box will control whether or not GuildFTPd is to resolve the connecting computer's hostname before completing the logon process. Unchecked, the hostname is not resolved; checked, the hostname will be resolved.

* Hide FTP server from denied IP's at System Level* -= NEW =- - This check box will control whether or not the server will respond to FTP connections from IP addresses that are in the System's IP Mask list. If checked, GuildFTPd will not reply if an IP address in the System's IP Mask list tries to connect.

* Server Priority * - The NT/W2K/XP process level that GuildFTPd runs at. This should normally be Normal. You can adjust this at your own risk.


Check for Updates

Using the File / Check for Updates menu option

If you want to easily check for new versions of GuildFTPD, just use the File menu - Check for Updates option. GuildFTPD will check the current available version from www.guildftpd.com and let you know if there's a newer version available.


General Plug-in Information

The plugins for GuildFTPd are optional components that add more functionality to the server. They are optional and can each be installed after the server.

You can download the plug-ins for GuildFTPd at the download page on http://www.guildftpd.com

Plugins will show up under the PLUG-INS menu or as their own menu option.


CHAT plugin

CHAT Plug-in (optional)

The new chat plug-in has been created to provide a new support option to users of GuildFPTD. The primary purpose of this new feature is to provide you with a real-time communication tool where you can collaborate with other users of GuildFTPD as well as the programmers. It is not intended for any other purpose.

The chat client is available from the GuildFTPD menu bar. There is no need for a password, just click the menu, select Open Chat, type in a name and click OK and it'll connect to the server.

Once successfully connected, just double-click the channel you want to join [Window A] and start chatting with either the group of users [Window C] or a specific user [double-click username in Window B] to get answers to problems you're having. Once you're done, just click the File menu and select Disconnect, then click the File menu again and select Exit.

*DISCLAIMER*
The server that runs the chat server can be subject to outages due to problems outside of our control. We cannot currently guarantee that it will be available 100% of the time or that there will be someone connected to the server to assist you 100% of the time. We are not responsible for any problems or outages that the server may cause.

Please be aware of the rules of the chat client and server. Failure to adhere to the rules will result in you being banned. If the rules are continually violated, we will take down the server.

RULES:
- NO HAMMERING
- NO FOUL LANGUAGE
- NO LANGUAGE FOUND OFFENSIVE TO ANYONE ELSE USING THE CHAT SOFTWARE
- NO UNSOLICITED SPAM OR ADVERTISEMENTS
- NO PROMOTION OF PORN
- NO PROMOTION THAT INVOLVES BUSINESS OR PERSONAL GAIN
*DISCLAIMER*


RATIO plugin

RATIO Plugin (optional "BETA")

NOTE: Some bugs exist in this plugin. Please use at your own risk and report any errors/problems to guildftpd@guildftpd.com

Options:

* ENABLE * - This option is only available at the SYTEM level. Checking this box enables the RATIO plugin.

* OVERRIDE * - This option is only available at the GROUP or USER level. Checking this box allows you to specify different settings for a specific GROUP or USER.

* RATIO * - This option is the core component of the plugin. UP refers to the number of files or the KB that must be uploaded before the current CREDITS are increased by the DOWN value.The DOWN value is the amount that gets added to the user's credits after the number of UP is reached.
- EXAMPLE: You set UP = 3 and DOWN = 5 (files). When you first connect, you can download 5 files. If you upload 2 files right away, your credits increase to 10. If you download 3 files and upload 2 more, your credits would be at 12.


SFV Plug-in

OPTIONS:

* Start Trail: * - The characters in this box will be the start of the meter folder name during a SFV upload.

* End Trail: * - The characters in this box will be the end of the meter folder name during a SFV upload.

* Preview * - This button will show an example meter folder name based on the Start and End Trail characters and whether or not the two check boxes are checked. After you uncheck an option or change the characters you want to use, you can click this button to get an idea of what your users will see.

* Display meter in folder name * - If checked, the upload meter will be displayed as the folder name using #'s. The #'s will increase in number to show the progress of the upload. If unchecked, it will not show up, and the percentage will replace it.

* Delete 100% complete folder when upload finished * - If checked, the meter folder and resulting 100% folder will be deleted once the SFV upload has completed successfully.

ABOUT / USAGE:

The SFV plugin is for uploads only and is designed to provide error checking on the files you upload.

The main design is to break up large files (like CD-ROM iso files) into many, smaller files that are easier to upload and re-upload.

The SFV file is basically a text file that lists the files and their CRC check values. When the files are being uploaded to the server, it will create a directory with the status of the upload. This allows logged in users to see how many of files has been uploaded successfully. If a file fails a CRC check, it will rename that file to <filename>.BAD or, if it's missing after the other files have been uploaded, it will create a file named <filename>.MISSING. This shows the uploading user which files need to be uploaded again. Once all of the files have been uploaded successfully, the plug-in deletes the .MISSING and .BAD files and renames the directory to "100% complete".

This plug-in allows users to upload large files in smaller parts and error check each one. Once all of the parts are available, other users know that they can begin downloading from the directory. This can really be helpful when uploading databases or ISO files.

SOFTWARE:

Easy SFV Creator (RECOMMENDED) is a very good program for making your SFV file and splitting your large file into smaller ones.

QuickSFV (RECOMMENDED) is another very good program for making your SFV file and splitting your large file into smaller ones.

Another option is pdsfv .


STATS plugin

STATS Plug-in (optional)

The stats plug-in allows you to see the following statistics:

LOGINS:
LOGIN DURATION:
LOGIN DURATION AVERAGE:
PASSWORD FAILURES:
DOWNLOAD COUNT:
DOWNLOAD SIZE:
DOWNLOAD DURATION:
UPLOAD COUNT:
UPLOAD SIZE:
UPLOAD DURATION:

The statistics are measured in the following groups of time:

PAST HOUR:
PAST 4 HOURS:
PAST 8 HOURS:
PAST 24 HOURS:
PAST WEEK:
FOREVER:

The stats are currently not configurable.

You can delete the stats "history" by renaming or deleting the xferstat.dat that's in your GuildFTPD installation directory.


BAN List

Description:

This window (available by VIEW menu - Ban List) allows you to see the IP addresses that are currently banned as well as manually add an IP address to be banned from accessing your server.

New Ban... Allows you to set up a manual ban.
Unban Allows you to remove a ban from the list
Edit Ban Allows you to modify the properties of a ban (don't forget to select one first)

New (Manual) IP Ban:

* IP: * - The TCP/IP address you want to ban from your server.

* BAN MINUTES * - The minimum time frame that the IP address is banned.

* FORCED * - Not yet used. Doesn't do anything, yet.


Directories/Paths

{short description of image}

Virtual v.s. Local

There's a warning message that will be displayed when you setup a Local Path to the root of a drive, like C:\, D:\, E:\, etc. This is to warn you that such paths can be risky. Please only use paths like this when you need them and never use your C:\ drive as one.

* Virtual * - The path a logged in users sees on the server. Imagine that this is a "shortcut" to the actual directory on your computer.

* Local * - The actual path on the PC (CD-ROM, Local, Server). This path MUST exist; you can't just type in something or it won't work.

A VIRTUAL path is "fake". A LOCAL path is the "true" path. You can have numerous VIRTUAL paths that point to LOCAL drives and folders. So, a PC with 7 drive letters (C:, D:, E:, F:, G:, H:, X:) can be set up to actually show up as subdirectories (/c-drive, /d-drive, /e-drive, /f-drive, /g-drive, /h-drive, /x-drive) once a user is logged into the server.

Virtual Path Browse Options:

* HOME DIRECTORY * - This option sets up the directory you selected as the ROOT (/) directory. It automatically sets the READ and LIST options.

* UPLOAD * - This option sets up the directory you selected as a directory that the GROUP or USER can upload to. NOTE: You must give it a name. It automatically sets the READ, LIST and WRITE options.

* SUB DIRECTORY* - This option sets up the directory you selected as a sub-directory of the ROOT that the GROUP or USER can view. NOTE: You must give it a name. It automatically sets the READ and LIST options.

Options / Attributes Defined:

* READ * - Allows a user to download files from that Path and subdirectories.

* LIST * - REQUIRED to allow a user to see the files and directories in the specified path. Without this setting, a user can't see or do anything.

* WRITE * - Allows a user to upload files to the server. Without this setting, a user can't send any files to the server.

* APPEND * - Allows a user to resume the upload of a file. This lets a user who got disconnected (probably high-traffic or poor ISP connection) to resume the upload of a file. Useful for large file uploads.

* CREATE * - Allows a user to create directories.

* DELETE * - Allows a user to delete files or directories on the server. Use with caution, as the user is able to completely eliminate all of the files and folders in this directory.

* MIN SPEED (KBps) * - NOT IMPLEMENTED.

* FOLDER LIMIT (KB) * - The amount of data, in KB, that the folder will hold before no more files can be uploaded to it.

NOTE : This limit works on the total used space after a download is complete. Let's say you set a limit of 50 MB (51,200 KB). You've got 49 MB of files in there. You upload a 2 MB file. It will upload. Although your folder now has 51 MB of files, no more files can be uploaded because the FOLDER LIMIT has been met / exceeded.

* PATH COMMENTS * - This allows you to provide additional information about what is in the directory to your users (if the FTP client they use supports it).

SYSTEM v.s. GROUP v.s. USER

* SYSTEM Path * - The path available to ALL USERS and GROUPS on your server (SYSTEM) when logged in. You set this type of path on the SYSTEM and it flows "downhill" to your GROUPS and USERS.

* GROUP Path * - The path available to ALL USERS only within the GROUP. This path allows you to give a group of users the same path without setting it up on each one. This is useful for when you want to set up a UPLOAD group and give all 20 users of it access to /UPLOAD.

* USER Path * - The path available to ONLY the USER. This can be helpful if you want to set each user up with his/her own personal path for uploading files or such. If you've got a large number of users, this can get to be tedious... so use it only when necessary.

When you assign a SYSTEM Path, everyone gets the rights to it. So, be careful. Don't set up a SYSTEM Path with every Attribute to the ROOT (/) of your server if you don't want everyone to be able to download, upload, delete, create, rename and resume uploads.

When you assign a GROUP Path, every user in that GROUP gets that Path and it's rights.

When you assign a USER path, you're getting very specific. This does allow you to set up paths that are specific to that single user.


Connections & File Activity / Spy Windows

Connections Window

* Current Connections * - Shows the users currently logged into the server. Also lists the TCP/IP address, computer (Host) name, the name of the user who's logged in, TCP/IP port in use and what he/she is currently doing on the server. If you right-click a connection listed, you can select to Kick them off the server.

* Connection Graph * - A quick graph that gives you a visual of what is and has been happening on your server. Good for determining peak usage or overloading.

* Past Connections* - List of users who have connected to the server since it was started. It lists the duration of the connection, the TCP/IP address, computer (Host) name and TCP/IP port connected with.

File Activity / Messages / Spy Window

**NOTE** -- You must first select a connection from the Current Connections Window or Past Connection Window before using the File Activity / Spy Window. Current will only show you information per Current Connection, while Past will show the history of what a user did that was connected (SPY doesn't work for Past).

* Downloads * - Shows the files that were, are, tried to be downloaded. This give you an idea of how much a current connection is downloading from the server. It also show when someone is testing your server for weaknesses as it lists the Denied download attempts as well as successful.

* Uploads * - Shows the files that were, are, tried to be uploaded. This give you an idea of how much a current connection is uploading to the server. It also show when someone is testing your server for weaknesses as it lists the Denied upload attempts as well as successful.

* Messages * - Shows the messages that have been sent from logged in users to the administrator.

* Spy * - Shows the messages/commands that are being executed by the connected user. This can be helpful to watch what a user is trying to do. It's also a great troubleshooting tool, as you can see the exact same error that the user does and can use that information to help identify a problem they have had with your FTP site.


Main GuildFTPd Window

A - ACCOUNTS WINDOW
This window is where you select your SYSTEM, a GROUP or a USER before you select Window D. This is also where you can right-click and add more GROUPs or USERS to your server.

B- CONNECTIONS WINDOW
This window will show you who is or was connected to the server. It also has a graphical chart to show the number of users connected and the amount of bandwidth being used. You select a CURRENT or PAST connection before you click on a tab in Window C.

C - ACTIVITY WINDOW
This window is where you can see the UPLOADS or DOWNLOADS for a user that was or is connected. You need to make a selection in Window B before you can see anything here.

D- ACCOUNT OPTIONS & PATHS WINDOW
This window is where you set the options and paths for SYSTEM, your GROUPs or your USERs. You need to select something in Window A first.


Right-Click Menus

ON SYSTEM | ON GROUP | ON USER
ON PATH | ON TOOLBAR | ON CURRENT OR PAST CONNECTIONS
{short description of image} - Open Containing Folder will open the path you've selected using Windows Explorer. |  |
IN SPY WINDOW |  |

These new right-click menus are new shortcuts to allow you a more Windows-like environment. For more detail, click the menu above that you want more information on.


ACCOUNT Options [a.k.a. SYSTEM (Server) Settings]

** NOTE ** These settings can be assigned to the SYSTEM, a GROUP, or a USER. Changing any of these settings requires that you restart the server (Admin - Restart Server). Settings can be different on the SYSTEM, GROUPS, and USERS for flexibility.

The options MUST be checked on the SYSTEM and set with whatever default values you want to use. You can then change any value for a specific USER or GROUP by performing the following:
- Click on the USER/GROUP you want to change a default setting.
- Click on the OPTIONS tab in the lower right-window.
- Click next to the option you want to change in order to check the box.
- Click on the default value and enter the value you want to use.
- Press ENTER.

Changing a setting for a GROUP or USER allows you to provide custom settings for special needs. You can set your "global defaults" by setting them up on the SYSTEM and then limit modifications you make later.

Settings Defined:

* Max. Acct Connections * - The maximum number of times a USER is allowed to connect to the server from any computer or TCP/IP address.
NOTE: If you set a user to 2 connections, that's how many times they can log on, regardless of what the GROUP or SYSTEM level is set at. If you set a group to 2 connections, that's how many times each user can log, unless you set a specific user to a higher number. If you only set SYSTEM to 2 connections, that's how many times any user can be connected unless a GROUP or USER setting is changed to a higher number.
 MORE INFO

* Max. IP Connections * - The maximum number of times a single TCP/IP address (computer) can connect to the server.
 MORE INFO

* Inactivity Timeout * - The time limit a user can be connected to the server without doing anything before being automatically kicked.

* Browsing Timeout * - The time limit a user can be connected to the server while only browsing the directories before being automatically kicked.

* Minimum Transfer Rate * - The slowest download speed that the server will allow. If the user can't stay above this limit, they will be automatically kicked.

* Maximum Transfer Rate * - The fastest download speed that the server will allow. If the user can't stay below this limit, they will be automatically kicked.

* Soft Download Speed Limit * - The download speed limit. If a user's download speed gets this high, they will be automatically stalled, provided the limit isn't high enough to qualify for the Maximum Transfer Rate setting.

* Soft Upload Speed Limit * -=NEW=- - The upload speed limit. If a user's upload speed gets this high, they will be automatically stalled, provided the limit isn't high enough to qualify for the Maximum Transfer Rate setting.

* Port * - The active TCP/IP port that the server listens for a FTP session on. This is usually 21. If you change this number, users connecting to your server will need to know the port number in order to change the setting on their FTP client.

* Permission Flags * - blank (none) / 1 (admin privileges) / 2 (messages & help only). Setting this to a 1 to allow site admin rights. This option must be set to a 1 if you want a user or group to be able to use the SITE Commands. Setting this to a 2 will allow the user to send messages to the server and run help from the FTP client to see what commands are implemented.

* Account Enable * - Disable (0) / Enable (1) an account. This allows you to deactivate a user without deleting them. Also works well for test accounts that you use occasionally.

* Account Time Limit * - The time limit that an account (or user if set at SYSTEM) is allowed to be connected to the server, regardless of activity.

* Allow Hammering * - Disable (0) / Enable (1) the ability for a GROUP or USER to be exempt from the AutoBan rules you may have set.

* Max. Connections at Level * - The maximum number of connections that the server will allow at the set level.
- example: The SYSTEM can be set to 20, a GROUP to 10 and a USER to 2. A user can connect up to two times, if the GROUP doesn't have ten users connected or the SYSTEM doesn't have 20 connected.
 MORE INFO


Users / Groups / SYSTEM

SYSTEM | This is the highest level of paths and settings for your FTP server
GROUP | This is the first level under the SYSTEM. You must create a GROUP before you can create any USERS.
USER | This is the actual user that logs into the server (you can never log in as the SYSTEM or a GROUP). USERS must be created in a GROUP. It is also recommended that you set a password for each one (except anonymous).

Create a GROUP:
- Right-click on SYSTEM and select Add Group
- Type in a name for your group.
- The group will now show up in the list.

Create a USER:
- Right-click on a GROUP and select Add User
- Type in a name for your user.
- Type in a password and then retype it the same way to confirm it.
- The user will now show up under your group in the list.

ADVANCED - Click this button to enable the three options listed at the bottom.

Normal User -> This option allows you to enter a username and password.
Administrator -> This option will automatically give this user the permission flag of 1, allowing this user to use all SITE commands.
Anonymous -> This option will set the username to anonymous, the password to blank (meaning there isn't a password needed) and gray out the boxes.

RANDOM PASS - Click this button to automatically generate a strong password for your user.

NOTE: When you edit a user account later, you will not have the random password button.


Q and A

FAQ

1. | Why can't I see any paths? I'm getting an " unable to set root directory " when I log into the server....What's the problem?
2. | Do I need to check all of the checkboxes under SYSTEM and all of my GROUPS and all of my USERS?
3. | I've installed GuildFTPd, but I can't get it to work?
4. | What's the difference between Virtual and Local Paths?
5. | How can I improve my users' upload and download speed?
6. | How do you launch the server directly into the taskbar?
7. | I've set a passive IP address on the server and I'm forwarding ports 20 and 21 from my firewall/proxy/NAT server. Why can't I connect?
8. | I have the INACTIVITY and BROWSING TIMEOUTS at 60. Why do I get disconnected after about 10 minutes when I'm not doing anything? Shouldn't it take 60 minutes?
9. | I have installed GuildFTPD, but when I try to log in as anonymous, it won't let me in. It claims I have the wrong password. Why?
10. | How do I set up my LinkSYS DSL/Cable Router to work with GuildFTPD?
11. | I can't seem to get it to work and I've tried everything. What do you need to know?
12. | I'm using Internet Explorer 5.5 to connect to the GuildFTPD server and it works at first. Then, after a download, I try to browse folders and it will give me "unable to connect, permission error". What gives?
13. | Why do I need to use a / for my virtual paths?

1. Why can't I see any paths? I'm getting an "unable to set root directory" when I log into the server...What's the problem?
A. The most likely problem is that the user you logged into the server as doesn't have a root path set up or is set up incorrectly. When you open GuildFTPd, select the user and click the PATHS tab. You should see a path that lists a VIRTUAL PATH of /. This / path must be a / and must exist for every user. You don't have to set it up per user, you can set it up on SYSTEM or on a GROUP the user is in... but, it MUST exist. Check HERE for more information on PATHS.

2. Do I need to check all of the checkboxes under SYSTEM and all of my GROUPS and all of my USERS?
A. SYSTEM - Yes. You need to check all of the options. You can then change each setting to a value that you want to use globally for the server.
GROUPS - No. You only need to check an option if you want to change it's value for every user in that group. So, you might have the inactivity timeout for the system at 30 minutes, but want to change it to 0 (unlimited) for your admin GROUP, you would check the box under the admin GROUP, and change the value from 30 to 0.
USERS - No. The same applies for a USER as a GROUP. The difference is it's just for that user.

3. I've installed GuildFTPd, but I can't get it to work?
A. Please try the basic setup walkthrough . You may have missed a setting or option.

4. What's the difference between Virtual and Local Paths?
A. To understand the two, you first must be able to picture the difference between your local drives and folders and the ones you see when you log into the FTP server. Your Local Paths (files and folders) are set up the way you like them. However, you may not want to share all of your files or folders. So, you use the Virtual Path to determine what the USERS see when they log in. So, you can set up different Local Paths that show up as subdirectories when a user logs in.
Like this:

Your Local Paths | Virtual Path Settings
C: \MyStuff | /MyStuff
C: \MyFiles | /MyFiles
D: \Download | /Download
D: \FTProot | /

Now you're USERS will see the /MyFiles, /MyStuff, and /Download as subdirectories of /. Just make sure you don't have any duplicate folders (virtual v.s. local) when you set the paths... that could lead to a nightmare.

5. How can I improve my users' upload and download speed?
Let your users know what buffer sizes you're using. You can also modify them, just remember to tell your users. MORE INFO

6. How do you launch the server directly into the taskbar?
A. Well, it's tricky. This is how:
- Start the server
- Press ESC key to send it to the taskbar
- Right-click the icon in the tray
- Select Exit / Click YES
As long as you always shut down the server when it's in the taskbar, it should always launch the next time taskbar'd

7. I've set a passive IP address on the server and I'm forwarding ports 20 and 21 from my firewall/proxy/NAT server. Why can't I connect?
A. You'll need to set up your firewall/proxy/NAT server to forward ports 1024 up to 65,535 to the FTP server in addition to 20 and 21. That large number of ports is used by the passive connection to the FTP server. Each data connection to the FTP server once you've logged in will normally increment the passive port used by one.

8. I have the INACTIVITY and BROWSING TIMEOUTS at 60. Why do I get disconnected after about 10 minutes when I'm not doing anything? Shouldn't it take 60 minutes?
A. There's another setting that can kick a user. Check ADMIN - OPTIONS - AUTOBAN. You've probably got AUTO BAN on NOOP checked. You're probably getting kicked after your FTP client issues the NOOP command to the server. If possible, you could check the server when you're connected and SPY your session. You should see the server issuing the kick after the NOOP if this is the case.

9. I have installed GuildFTPD, but when I try to log in as anonymous, it won't let me in. It claims I have the wrong password. Why?
A. There's a couple more steps you need to complete before you can use GuildFTPD. First, select the anonymous account and change the option (in the lower right window) to set the Account Enable value to Enable. That will allow you to login as anonymous no matter the password. Next, make sure to delete the C: \TEMP path from the PATHS of the account anonymous. You'll probably want to take this opportunity to set the group, temp, with the correct path(s) you want anonymous to have access to. Please keep in mind that the group temp and account anonymous are available after setup to help you, not provide exact default settings.

10. How do I set up my LinkSYS DSL/Cable Router to work with GuildFTPD?
A. This one gets to be long..... so, I made it it's own page. Click HERE .

11. I can't seem to get it to work and I've tried everything. What do you need to know?
A. Here's some tips on what information to include in any email or message board posts when you are having problems:

- What Operating System are you using GuildFTPD on?
- What are the exact error messages you're getting? (425 - no permissions, 550 - unable to set root directory, etc.)
- What FTP client are you using?
- What type of Internet Sharing Device are you using? (LinkSYS Cable/DSL Router, MS Internet Connection Sharing, Norton Firewall, etc.)
- What version of Internet Explorer do you have installed? What is the version of wininet.dll do you have?
- What antivirus program are you running? Have you excluded the GuildFTPd folder from real-time scanning?
- Can you connect to your server from a client on the same PC? (in other words, if you run WS_FTP LE on the same computer as GuildFTPD and try to connect... does it work, or give you the same error?)
- Can you connect from another PC within your network and only external (Internet) users can't get to it?
- Does a different FTP client work? (WS_FTP LE is a very good one to use for testing)

That seems like a lot, but going through some of those can give us a very detailed idea of where the problem might be. If we know what it is or where it's at... we can fix it faster.

12. I'm using Internet Explorer 5.5 to connect to the GuildFTPD server and it works at first. Then, after a download, I try to browse folders and it will give me "unable to connect, permission error". What gives?
A. Check the number of connections you have set for the following in GuildFTPD:
- Max Connections
- Max IP Connections
- Max Account Connections
Now, check how many people are logged in.
IE will open more than one connection (login) to the server and will "eat up" your available number of users. Odds are, you've hit one of the three limits you set. Try increasing each one as you see fit until you are comfortable with the limit and it's affect on IE connections.

13. Why do I need to use a / for my Virtual Path?
A. Some FTP clients are designed to work best when used to connect to a linux/unix system. The / is native to that operating system. In order for GuildFTPd to support the largest number of FTP clients, the code was changed so that the Virtual Path had to be entered with /.


GuildFTPd Buffer Size (Send / Recieve)

The following is a quick chart that is designed to help you reference buffer size values that may or may not help you improve upload and download speeds.

VALUE in bytes | (KiloByte Translation) | When this value works best
4096 | 4 KB | Dial-up or slow connections
8192 | 8 KB | Dial-up or slow connections
12288 | 12 KB | Dial-up or slow connections | Cable / DSL | ISDN
16384 (default) | 16 KB | Cable / DSL | ISDN
20480 | 20 KB | Cable / DSL | ISDN
24576 | 24 KB | Cable / DSL | ISDN | T1
28672 | 28 KB | Cable / DSL | ISDN | T1
32768 | 32 KB | Cable / DSL | ISDN | T1
49152 | 48 KB | Cable / DSL | ISDN | T1
65536 | 64 KB | LAN | T3
131072 | 128 KB | LAN | T3

You can experiment with each value or use your own. Modifying the buffers may drastically improve or degrade your FTP speeds. Only experimentation and trial-n-error will give you the best results. When in doubt, leave the defaults.

! IMPORTANT ! Your users will benefit from knowing what your buffer sizes are. They may be able to customize their FTP client buffer settings to work better with GuildFTPd.

For example, WS_FTP LE has a transmission and receive buffer size (in bytes) that a user can modify. [It's in the Options / Advanced tab.] It does have a limit of 4096 for both. However, experimenting with each buffer may produce faster or more stable downloads/uploads, just as much as changing the buffers in GuildFTPd.


General Firewall Help

The following is intended to help you use GuildFTPd with firewall software. It is not intended to provide information for all firewalls, but simply provide some general information to point you in the right direction.

As Internet security concerns heighten, more and more users are installing firewall software on their computers. This is especially becoming common on computers that are connected to the Internet through cable or dsl connections. The trick to using any software on a computer that has a firewall installed is understanding how the firewall works.

A firewall is a very restrictive piece of software by default. It limits the connections from your computer to the Internet by default. It also limits the connections to your computer from the Internet by default. This means that you need to change the default configuration of your firewall to allow GuildFTPd and the FTP clients to communicate with each other.

The basics to setting up a firewall to work with GuildFTPd include the following.
- Make sure that you've set up your firewall to allow connections to the guildftpd.exe program, if necessary.
- Make sure that you're allowing connections on all of the necessary FTP ports that you've configured within GuildFTPd (single ports and/or port ranges).
- Make sure that you've set up your firewall to allow inbound (connections from other computers - to your computer) and outbound (connections from your computer or to other computers).

NOTE: If you set GuildFTPd's primary port to 2100 or another non-standard port, make sure that you don't duplicate that port in your passive port range. Example: If you use 2100 for your primary port, make the passive range start at 2101 or 2102.

PROS and CONS to using a FIREWALL
PROS
1. It is approximately half the price of a DSL/Cable router.
2. It is more secure and restricted when first installed.
3. Can be used on a computer that accesses the Internet through a standard modem (dial-up) connection.
CONS
1. Restrictive installation defaults can become annoying and frustrating to change.
2. Isn't very effective when you're trying to share an Internet connection through one computer to many others. (Due configuration necessary to get/keep things working and the need for additional software to actually share the connection)
3. Requires you make backups of complex configurations, as if your computer gets replaced or needs to be re-installed or set up... you'll need to configure it all over again.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.


General Router Help

The following is intended to help you use GuildFTPd with a cable or dsl router. It is not intended to provide information for all routers, but simply provide some general information to point you in the right direction.

As cable and dsl services become more available to us, more and more users are turning to this larger bandwidth service for our Internet connectivity. This becomes complex when the home user has more than one computer that they want to share this larger bandwidth connection with all of their computers. Some of these ISPs will want you to pay extra money per month to attach more than one computer to the Internet. Others will let you use a router to share your bandwidth. A cable/dsl router is what you can use to share your connection.

A router only has restrictive settings for inbound (connections from other computers - to your computer) by default. It doesn't limit the connections from your computers to the Internet by default. This means that you won't need to change the default configuration of your router (much) to allow GuildFTPd and the FTP clients to communicate with each other.

The basics to setting up a router to work with GuildFTPd include the following.
- Make sure that you're router is not configured to be a DHCP server, as most routers will not forward ports if the DHCP server option is enabled.
- Make sure that you're allowing connections on all of the necessary FTP ports that you've configured within GuildFTPd (single ports and/or port ranges).
- Make sure that you've set up GuildFTPd with the WAN IP address of your router and the passive port range.
- If you had your router set up and have just upgraded the firmware, try clearing your port forwarding options and setting them back up.

NOTE: If you set GuildFTPd's primary port to 2100 or another non-standard port, make sure that you don't duplicate that port in your passive port range. Example: If you use 2100 for your primary port, make the passive range start at 2101 or 2102.

Sometimes, it's necessary to upgrade your router's firmware. When you do upgrade your firmware, your settings may not be working even though they are showing up in the router's config. If you've got everything set up, but can't connect, you may need to reset your router. Record all of your current settings, press the reset button, unplug the router for 5 minutes, plug it back in and set it back up.

PROS and CONS to using a ROUTER
PROS
1. It doesn't require much setup if you just want to share your Internet connection.
2. It only needs to be configured for inbound Internet connections and doesn't stop outbound connections from your network to the Internet by default..
3. It isn't susceptible to hard drive crashes or new computers, as... once configured, it doesn't usually need to be modified unless you want to do something new.
CONS
1. Roughly twice the cost of firewall software.
2. Isn't designed to share your dial-up ISP connection.
3. Isn't as restrictive on it's outbound connections and may require additional setup to keep certain computers or programs from accessing the Internet.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.


Internet Explorer Help

Internet Explorer 5.5 Help

This page includes information that may be helpful in using Internet Explorer to connect to GuildFTPD (or any other FTP server). The settings and recommendations are shown here from personal testing and may not be accurate. Keep in mind, changing these settings is the same as changing an option within a FTP client.

The following is a quick chart that is designed to help you reference how the FTP features and settings of Internet Explorer 5.5 work when connected to GuildFTPD. It may not make any sense until you read the details below.

WHAT DO YOU WANT TO DO? | IE 5.5 OPTIONS | SETTING | RESTART IE REQUIRED? (if setting changed) | LOGIN METHOD
UPLOAD FILES |  |  |  |
 | Enable folder view for FTP sites | CHECKED | YES | EITHER
 | Use Passive FTP for compatibility with some firewalls and DSL modems | CHECKED | NO |
 | Temporary Internet Files / Settings button | Every time you start Internet Explorer | YES |
DOWNLOAD FILES |  |  |  |
 | Enable folder view for FTP sites | ANY | YES | EITHER
 | Use Passive FTP for compatibility with some firewalls and DSL modems | CHECKED | NO |
 | Temporary Internet Files / Settings button | Every time you start Internet Explorer | YES |
VIEW FILES (PICTURES, TEXT, PDF) |  |  |  |
 | Enable folder view for FTP sites | UNCHECKED - v 0.993 or earlier ANY - v 0.994 | YES | ftp :// <username> : <password> @ <ftp site> : <port>
 | Use Passive FTP for compatibility with some firewalls and DSL modems | CHECKED | NO |
 | Temporary Internet Files / Settings button | Every time you start Internet Explorer | YES |

MORE INFO:

Enable folder view for FTP sites:
Set in, Tools menu - Internet Options - Advanced TAB
This option controls how IE displays the files.

CHECKED, this option shows the same icons for files and folders that you would see if you were browsing your local computer's hard drive. The drawback to using this option with GuildFTPD is that you can't open files directly from the server by double-clicking them. You have to download them first and then view them.

UNCHECKED will cause IE to display text links for files. The benefit here is that you will now be able to click on text, picture and other viewable files and look at them from the server, before you download them.

NOTE: This option works differently depending on what FTP server you connect to. Some don't seem to have a problem displaying the contents of files when this option is CHECKED.

If you change whether or not this is CHECKED or UNCHECKED, you need to close IE and re-open it before the change occurs.
Use Passive FTP for compatibility with some firewalls and DSL modem
Set in, Tools menu - Internet Options - Advanced TAB
This option allows IE to establish a passive FTP session. CHECK or UNCHECK it as needed.
Temporary Internet Files / SETTINGS button
Set in, Tools menu - Internet Options - General TAB - SETTINGS button
This option sets up how often it will go back out the Internet to get the current content of a web site (or FTP server's file listing). You will want to change this if you're experiencing a problem where you've deleted, added or modified files on the server and those changes aren't showing up.
LOGIN METHOD
There are two ways to login to a FTP site from within IE.

The first is to use the following format in the address line: (ignore the spaces)
ftp :// <username> : <password> @ <ftp site> : <port>
example: ftp://anonymous:notvalid@ftp.microsoft.com:21

The second is only available if you've CHECKED the Enable folder view for FTP sites option. Once you're connected to the FTP site as anonymous, you can choose the File menu, Login As.. option. If you attempt to access a site that requires login, you'll get prompted for a user name and password before it finishes loading.
ADDITIONAL INFO / LIMITATIONS
There are currently a few limitations of using IE 5.5 with GuildFTPD.

# 1 - ONLY IN VERSION 0.993 and earlier - GuildFTPD doesn't get along with IE when trying to display the contents of a file when double-clicked while the folder view is enabled. It could be a bug, it could be IE. Since you can view files fine when you uncheck the Enable folder view for FTP sites, it's not too major.

# 2 - IE and GuildFTPD don't work well together when all of the following conditions occur....
- You've got a firewall / DSL router on your internal network
- You've got GuildFTPD configured with a specified Passive IP
- You're trying to connect from your internal network to GuildFTPD with the Enable folder view for FTP sites unchecked and the Use Passive FTP checked.

In a nutshell, GuildFTPD is responding back with the WAN IP address, which basically confuses IE because it made its connection on the internal one.

Since it only affects connectivity to your server from within your network, you could do one of two things:
1. Connect with a FTP client when uploading/downloading files from within your network.
2. Install GuildFTPD to a different directory, set it up the same (copy your default.usr and default.opt files from your other directory into the second one), and just set to the port to 21 with the Passive IP option off.

Option 2 allows you to test IE with GuildFTPD, as long as any changes you make to one version, you make to the other.
.... and, yes, you can run two copies of GuildFTPD... as long as they are in different directories and use different ports.


Log Level

The log level can be set in the Admin menu - Options, Server tab .

Following is what each value entered in the Log Level setting will cause GuildFTPD to create in the syslog.txt.

NOTE: Each recorded event in the file will start with the date and time the event occured followed by the Log Level Value of the event in {} and then the actual event.

VALUE | WHAT IT RECORDS to SYSLOG.TXT | NOTES
0 | No data gets recorded to the file. |
1 SERVER | - Server startup/shutdown success - Create/open port success. |
+1 CONNECT | - Same as 1 and.... - Established Connections (no IP address or username) | Each connection will have a number in brackets [5].
+2 USER ACTIVITY | - Same as +1 and.... - User login with username and IP address - Downloads & Uploads with path, filename and transfer rate | The extra information will have the connection number before it. The username will be in <>.
+3 MAXIMUM | - Same as +2 and.... - Connection attempts with IP address - Closed connections (shown as Aborting..) | The extra information will have the connection number before it.

EXAMPLE SYSLOG.TXT @ LEVEL 4:

07/11/2001 07:34:16 {1} - Starting Server
07/11/2001 07:34:16 {1} - ListenSocket Create Success (Port 21)
07/11/2001 07:34:16 {1} - ListenSocket Listen Success (Port 21)
07/11/2001 07:34:25 {4} - Attempted Connection from: 127.0.0.1
07/11/2001 07:34:25 {2} - [5] : Connection Established
07/11/2001 07:34:26 {3} - [5] : User logged in: <xxallen> : 127.0.0.1
07/11/2001 07:34:40 {3} - [5] : [DOWN] File Downloaded: D:\FTProot\Upload\tray-icon.bmp - 2106 bytes in 0 sec. (0.00 Kb/s)
07/11/2001 07:34:46 {3} - [5] : [UP] File Uploaded: D:\FTProot\Upload\tray-icon.bmp - 2106 bytes in 0 sec. (0.00 Kb/s)
07/11/2001 07:34:48 {4} - [5] : Aborting...
07/11/2001 07:34:53 {1} - Shutting Server Down
"template" for reading a line in syslog.txt:
< DATE > < TIME > {Log Level Value} - [Connection #] <username> Event Data


IP Mask - How it works

{short description of image}


Passive FTP from behind Internet Sharing Device

Passive FTP Server from behind an Internet Sharing Device

The information provided is intended to help explain why the Passive option is available in GuildFTPD as well as show its use.

The picture and reference information next to it are provided below to give a visual aid intended to help clarify the included description / explanation.

Internet PC's External Addresses | These are the IP addresses that Internet users obtain when connecting to the Internet via an ISP. These are usually any IP address that is NOT in the following ranges: 10.x.x.x 192.168.x.x (There are a few more, but these two are most common)
Firewall Server External Address | The ISP assigned address your Internet sharing device is either assigned via DHCP or by a static entry they've given you to enter.
Firewall Server Internal Address | The private address you have given your Internet sharing device. This should be static and is usually in the 10.x.x.x or 192.168.x.x ranges.
GuildFTPD Server Internal Address | The private address you have given your GuildFTPD server. This should be static and in the same subnet as your Firewall's Internal Address. Example: If your Firewall has an internal address of 10.1.0.1, you will want to set your GuildFTPD Server's internal address to something that starts with 10.1.0..... like, 10.1.0.2.

First, let's establish some IP addresses to go with the picture above.

Internet PC (we'll just use one for now) = 24.4.0.3
** Firewall External Address = 12.2.0.6 (static or DHCP, your choice)
Firewall Internal Address = 10.1.0.1
** GuildFTPD Internal Address = 10.1.0.2

** most important addresses

Ok, now let's state some assumptions:

- You've got GuildFTPD installed and set up.
- You can connect and transfer files to/from your GuildFTPD server from another PC within your home / network.
- Your Internet Sharing Device is working and your other computer(s) can access the Internet.
- You have some limited experience with your type of Internet Sharing Device.
........or.... you're a quick study and have the manual(s) handy.

SETUP STEPS:

On GuildFTPD Server. | NOTES:
Open the Admin menu and select Options. |
Click on the Advanced Settings tab. |
Click the Passive button. |
Type in the IP address of your Internet Sharing Device's External Address. | Using the addresses specified as examples, this would be 12.2.0.6
Use the up arrows and select a range of ports. | Use as many or as few as you like. However, the total number of ports will determine how many passive connections the server can have. One port for each passive connection.
Click OK. |
Click Admin menu and select Restart Server. |
On Internet Sharing Device |
Set up forwarding for port 21 (or whatever port you have set in the OPTIONS tab in the main window) so that any WAN (external) requests will be forwarded to the IP address of the (internal - LAN) GuildFTPD server (10.1.0.2 from above example). | If you have different ports on your SYSTEM and GROUPS and USERS, you'll need to forward those as well.
Set up forwarding for the passive ports you set up in GuildFTPd earlier. |
Test a connection from a PC not in your network / home. | Be sure to remember to use the IP address of your Internet Sharing Device's External NIC, the port you've set (if different from 21) and connect with Passive enabled on the FTP client.

That should do it. You should now have a FTP server that's available to the outside world.

One note: If you set a passive port range of 2100-2121, you've limited the number of passive connections to 21. This means, that if you've set you other connections limits higher than 21, the passive port range will reduce the limit to 21 for concurrent passive connections. Only active connections from within your network will not count to this total.


PATHS - FAQ

This information should help answer some questions about how the paths work and will hopefully help you correct problems.
The information is based on the STEP-BY-STEP demonstration. It is assumed that you've read that document first.
The examples are listed in order and use all previous examples as a reference.

There's a warning message that will be displayed when you setup a Local Path to the root of a drive, like C:\, D:\, E:\, etc. This is to warn you that such paths can be risky.

SETTING UP A SINGLE PATH SO ALL USERS OF THE SERVER CAN ONLY DOWNLOAD
STEPS | ADDITIONAL INFORMATION
If you don't have a local folder on your computer that you want to share
to everyone in your FTP server, you MUST create one. 		An example would be to create
D: \FTPdir.
Click on the SYSTEM icon in the left window.
Click on the lower right PATHS tab.
Right-Click in the PATHS window and select ADD PATH
Browse to the LOCAL PATH that you want to share. It can be an
existing directory, or a new one you've previously created. 		After browsing to it and selecting OK,
you should see something like
D: \FTPdir
in the LOCAL PATH window.
Now, you MUST set the VIRTUAL PATH to a /
This tells the server that the D: \FTProot directory is to be the first
directory of your FTP server. 		If you do not set a LOCAL PATH to /
you will not be able to use your FTP
server.

ERRORS INCLUDE: (these occur immediately after login)
"unable to set root directory"
"access denied"
Now, before you close this window, you MUST make sure to check
the LIST and READ boxes. 		The LIST Attribute allows your users to be able to
see what's in your root directory. If you don't check LIST,
your users will get an error of
"unable to obtain directory listing".

The READ Attribute allows your users to be able to
download what they see in your root directory. If you
don't check READ, users will not be able to download
any files and will get an error of
"access denied" when they try to download something.
Now, click ok. You should see an entry in the window that has
an icon with a yellow wheel on it that lists the path information.
Local Path | Virtual Path | Attributes
D: \FTPdir | / | RL
Now, since you've set up this root path on the SYSTEM, every
GROUP and USER will get this path as their default path.

The paths will be in effect in a "downhill" manner.
A path set on the SYSTEM will be in effect for all GROUPS and USERS.
A path set on a GROUP will be in effect for all USERS of that GROUP.
A path set on a USER will only be in effect for that user.

Unless you want different paths or different path attributes at a lower level,
you can set up paths on the SYSTEM so that everyone can see and do the same
tasks when connected to the server.

 So, when you click on each of your groups and users,
you should see the following displayed in the PATHS
window.
Local Path | Virtual Path | Attributes
D: \FTPdir | / | RL
CHANGING THE ROOT PATH FOR A SINGLE GROUP
STEPS | ADDITIONAL INFORMATION
Continuing from the above example, we'll continue by changing the default root path for the
ANON Group.
Click on the ANON group.
Click on the PATHS tab.
Right-click on the [image] D: \FTPdir entry and select EDIT PATH
Click the Browse button for the LOCAL PATH and browse to D: \FTPdir\root and click OK.
Leave all other settings alone and click OK
You've just changed the root path for all users in your ANON group. All other users will have
the root path you specified on SYSTEM.

This is how you can set up different users for different paths. Just remember, when you
click on each user and view the paths they have, you MUST always see at least one
VIRTUAL PATH that is set to / that has RL for the Attributes.

It doesn't matter where you set up that path, clicking on each user will verify that he/she
has a root path and the correct attributes.

 When you select your ANON group, the path should be:
Local Path | Virtual Path | Attributes
D: \FTPdir\root | / | RL

When you select the user anonymous in your ANON
group, the path should be:

Local Path | Virtual Path | Attributes
D: \FTPdir\root | / | RL
ADDING ANOTHER DRIVE AS A SUBDIRECTORY OF THE ROOT
STEPS | ADDITIONAL INFORMATION
Continuing from our above examples, we'll continue by adding a new path for the
UPLOAD Group. 		We're going to assume you have an empty E drive.
Click on the UPLOAD group.
Click on the PATHS tab.
Right-Click in the PATHS window and select ADD PATH
Browse the LOCAL PATH to E: \ and Click OK.
Change the VIRTUAL PATH to /E-Drive
Check the READ, LIST, CREATE, WRITE, and DELETE boxes and click OK.

These attributes will allow users to create directories, upload files, download files and delete
data.

 You should now see the following PATHS in the window
Local Path | Virtual Path | Attributes
D: \FTPdir | / | RL
E: \. | /E-Drive | RWDCL
ADDING ANOTHER FOLDER AS A SUBDIRECTORY OF THE ROOT
STEPS | ADDITIONAL INFORMATION
Continuing from our above examples, we'll continue by adding a new path for the
ANON Group. 		We're going to assume you have a C: \MyMusic folder.
Click on the ANON group.
Click on the PATHS tab.
Right-Click in the PATHS window and select ADD PATH
Browse the LOCAL PATH to C: \MyMusic and Click OK.
Change the VIRTUAL PATH to /MyMusic
Check the READ and LIST boxes and click OK. You should now see the following PATHS in the window
Local Path | Virtual Path | Attributes
D: \FTPdir | / | RL
C: \MyMusic | /MyMusic | RL
CHANGING THE ATTRIBUTES OF A PATH FOR A USER
STEPS | ADDITIONAL INFORMATION
Continuing from our above examples, we'll continue by changing the path attributes of the
ROOT PATH for the UPLOAD USER.
Click on the UPLOAD user.
Click on the PATHS tab.
Right-Click on the [image] D: \FTPdir PATH and select EDIT PATH
Check all of the boxes and click OK.

You should now have READ, LIST, CREATE, WRITE, APPEND and DELETE checked.

 You should now see the following PATHS in the window
Local Path | Virtual Path | Attributes
D: \FTPdir | / | RWADCL
E: \. | /E-Drive | RWDCL


How to Upgrade GuildFTPd

Before you upgrade GuildFTPd, follow these steps.

1. Close GuildFTPd
2. Make a backup copy of the following files:
- default.usr
- default.opt

Now, you can upgrade GuildFTPd.

After the upgrade is complete, just copy those backed up files into your GuildFTPd installation directory and start GuildFTPd.

The following settings should move from one version to the next:
- Users
- Passwords
- Groups
- Paths
- System/User/Group Options
- Server Messages
- Server Options


Starting the server at PC boot-up

There are a few ways to make the server startup when the PC boots.
1. Startup folder in Start Menu
2. In the Win.ini LOAD or RUN statements
3. In the Registry HKLM/Software/Microsoft/Windows/CurrentVersion/Run or /RunServices (95/98/ME only)

An additional option is to have the server startup in the systray. This is how:
- Start the server
- Press ESC key to send it to the systray
- Right-click the icon in the tray
- Select Exit / Click YES
As long as you always shut down the server when it's in the systray, it should always launch the next time as an icon in the systray.

Currently, GuildFTPd doesn't run as a NT service in NT or 2000. It's planned to be added in the future, but has shown to be a lot of program changes. We'll release a version that runs as a service once we're comfortable that it will perform as well as or better than the previous releases.

One option available to you so that you can make sure that GuildFTPd is running after rebooting your computer is to set it up to automatically log into windows. This can be done by installing TweakUI. This option isn't very secure, as it allows anyone else to walk up to the computer and start working without logging in. However, if you've got a separate PC or one that's in a secure room, you can do this to allow GuildFTPd to be up all of the time. You can find TweakUI on Tucows.com or at Microsoft's web site.


TROUBLESHOOTING TIPS:

These tips and troubleshooting steps are organized based on the type of problem you're having. Find the error or problem symptom that most closely matches the problem you're having and try the steps listed. As you work through each problem, take your time and pay close attention to each step. There are also some general steps listed at the bottom of this page.

PROBLEM & POSSIBLE RESOLUTIONS: NOTES:
Why do FTP clients seem to hang during transfers or slowly taper off in speed.
or
How can I speed up transfer speeds?
1. You can modify the Send and Receive buffers of GuildFTPd to help improve FTP client connections. | Click HERE for more detail.
Why does GuildFTPd seem to have a memory leak?
or
Why does GuildFTPd use more and more memory the longer I have it running?
1. GuildFTPd uses a few files that can create this symptom.
If you notice that GuildFTPd is using more and more RAM, check the sizes of the following files:
- banlist.txt
- stats.tmp
- stats.log
- syslog.txt
- default.usr
- default.opt

Which ever file has a file size that grows the most is the one causing the problem.

Most problems from file size won't occur until you reach 5-10 MB file sizes or higher.

2. Check your NIC setting (Admin menu, select Options, click the Advanced tab).
Make sure that it has a value (like 0) and that the correct IP address is showing in the gray box to the right. If there isn't an IP address listed or it's the wrong one (like for your modem, not your NIC) increase the number (from 0 to 1 or 1 to 2, etc) until the proper IP address shows up.

 If the file is.....

- banlist.txt
You've got your IP Mask or AutoBan rules set up to be too restrictive. GuildFTPd is banning so many IP addresses that it's filling up the ban list and causing the RAM to get used up.

- stats.tmp / stats.log
There are so many users connecting to your FTP server in a day that the statistics are overwhelming the server. You may want to delete the stats.dll to disable the statistics plugin.

- syslog.txt
There is a lot of file uploads/download or you've got a lot of users loggging in and out of your server. It takes quite a large amount of traffic to get this file too big, so this one probably won't cause any problems.

- default.opt / default.usr
If this file is too big, let us know. It'd take quite a large number of configured users and paths for this to get big (over 2 MB) and we'd like to know if that's the case.
When I connect as a user, I get this error: "invalid or incorrect password"
1. Check and make sure that you've entered the user and password in the same case that you entered when you set the user up. If you entered them in all upper case, you must input them into the FTP client the same way. Users and Passwords are case-sensitive and must be entered the same on the server and in the client.

If you set up the following in GuildFTPd:
user = JoeSmith
password = MyFriend
you must enter them the exact same way on the FTP client.
2. Make sure that you've set the password correctly on the server or in the client. | It is very easy to mistype the password in one place or another. Take your time and double check your typing in both places.
3. Make sure that the user is not set to Account Enable = DISABLE. - Click on the user within GuildFTPd.
- Click on the OPTIONS tab to the lower right.
- Scroll through the list and make sure that the Account Enable option is set to ENABLE.

If the check box is not checked, but the option is set to DISABLE, you may want to click on SYSTEM and check it's setting. If it's set there, you may want to change if for the entire server.
When I connect as a user, I get this error: "unable to set root path or directory"
1. Check the paths that are in effect for the user. Look for any of the following symptoms:

- Make sure that at least one Virtual Path is listed with a setting of /
- Make sure that all Virtual Paths point to Local Folders that actually exist on your computer.
- Make sure that all Virtual Paths are at least set to the LIST attribute.

 Every user must have a Virtual path of /
It doesn't matter if you set it up on the SYSTEM or a GROUP, as long as you see a Virtual Path of / when you look at the user's paths.

A Virtual Path can be compared to a shortcut. It can't point to something if it doesn't exist. Make sure that the Local Path you point your Virtual Path to actually exists on your computer.

The LIST attribute is what allows a user to see your files and directories. Without it, you won't be able to see anything.
When I try to connect to my server through my firewall/router/proxy server, I can't do a list, can't see any files or folders or get a "data socket connection error, cannot establish a connection".
1. Make sure you've used the PASV or passive option in your FTP client. | If your connection passes through more than one router or firewall, you'll need PASV or passive turned on to establish the connection successfully.
2. Determine whether or not the problem is GuildFTPd by itself or how you've set up the PASV support between GuildFTPd and your Internet Sharing Device. A. Install a FTP client on the same computer you have GuildFTPd installed on.
B. Connect to the server using the GuildFTPd computer's IP address, NOT your router/firewall's IP address.
C. Make sure to NOT use the PASV or passive option in your FTP client. You want this connection to be active.
D. Make sure to use the correct port you set GuildFTPd up on (This isn't the passive ports, this is the port in the OPTIONS tab.).
E. Connect to the server.

If you can connect to GuildFTPd on the same computer, but can't connect from a computer outside of your personal network, there's a problem in either GuildFTPd's Advanced server options or in your router/firewall setup.

A. Double check your settings in both. Make sure you've got the correct ports forwarding to the IP address of your GuildFTPd server and make sure that GuildFTPd is using the same port range. GuildFTPd also needs to be configured with the WAN or Internet IP address of your router for it's Passive IP setting.

B. You may need to upgrade your router's firmware in order to be able to set up a range of ports to be forwarded to your server.

C. Make sure that you're trying to connect to the IP address of your router from outside your network and not the address of the GuildFTPd server.

If you can't connect to GuildFTPd on the same computer, troubleshoot the error you're seeing using tips on this chart or by researching the help file included with GuildFTPd.
3. Sometimes, it's necessary to upgrade your router's firmware. When you do upgrade your firmware, your settings may not be working even though they are showing up in the router's config. If you've got everything set up, but can't connect, you may need to reset your router. Record all of your current settings, press the reset button, unplug the router for 5 minutes, plug it back in and set it back up. | Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.
When I connect as a user, I can't see any files or directories. I didn't get any errors and I set up my root path to C:\ or D:\ | **VERSIONS PRIOR TO 0.996**
1. Make sure you use a period after the \ when you specify a Local Path that points to the root of a drive, like C:\ or D:\

C:\.
D:\.

 This is so that some versions of Windows can properly interpret what you want to use the root of the drive. Without the period, it doesn't have anything to display because it doesn't know what folder you want to see the contents of.

OTHER HELPFUL TIPS:

ANALYZE the SYSLOG.TXT file (it's in the same directory as GuildFTPD.exe). MORE INFO
- Look for errors like ListenSocket Create/Listen Failed or user connection errors.

Look at the file sizes of some files GuildFTPd uses. SEE IN CHART ABOVE

SPY the connection. MORE INFO
- Look for errors that could indicate bad passwords, connections or point out settings that may need changed.

Double-check each server setting, one at a time.
Pay close attention to:
- Ban List
- AutoBAN on NOOP
- Enable Login setting on SYSTEM, every GROUP and every USER.
- Port
- Passive Port settings (if used)
- Max Connections / Max IP Connections / Max Account Connections are not set to a low number ( 0 = no limit ).
- Allow Logins (on Admin menu) is on (indented / pressed down).

If you're just starting and/or don't have a complex setup that can be duplicated quickly, Uninstall GuildFTPD and try walking through the Getting Started. (You could also install it to another directory and work from the "test" copy)

Check the following:
- Antivirus on-access (real-time) scanner settings. If it's scanning every file type in heuristic mode, it could just be that it's scanning your files so much that it slows down GuildFTPd. Try excluding your installation directory from the scan (after you've installed it, of course ;)
- Make sure there isn't an updated video driver for your computer/video card. Most updated video drivers solve window lockups and some program crashes. Sounds weird?... I've seen a video driver lock up Microsoft Access at every use until I updated the video driver. That was the only change I made and it suddenly started working without a problem.
- Make sure that you haven't used up all of your hard drive space or that there are so many other programs running that you're having memory problems.

Try the SUPPORT section or FORUM .


Windows XP Help

This page includes information that may be helpful in using GuildFTPd with Windows XP. The settings and recommendations are shown here from personal testing and may not be entirely accurate. Keep in mind, changing these settings should be done at your discretion.

The following is a quick chart that is designed to help you reference how to change settings in Windows XP to allow GuildFTPd to work properly.

WINDOWS XP SETTINGS
TURN OFF BUILT-IN FTP SERVER (Internet Information Server 5.0)
[Leave Web Server running]
1. Log into XP as your administrative account (or as administrator)
2. Open Control Panel
3. Open Administrative Tools
4. Open Services
5. Find FTP Publishing
6. Right-Click FTP Publishing and select STOP
7. Right-Click FTP Publishing and select PROPERTIES
8. Change the Startup Type drop-down box from Automatic to Disabled
9. Click Apply
10. Click OK
11. Close any open windows (Services, Administrative Tools, Control Panel)
12. Start GuildFTPd
13. Check the syslog.txt file and make sure that the following entries are at the end of the file:
1. ListenSocket Create Success (Port 21)
2. ListenSocket Listen Success (Port 21)
14. GuildFTPd should now be running on port 21 and available for FTP clients to connect to it.
UNINSTALL BUILT-IN FTP SERVER (Internet Information Server 5.0)
[Leave Web Server]
1. Log into XP as your administrative account (or as administrator)
2. Open Control Panel
3. Open Add/Remove Programs
4. Click Add/Remove Windows components
5. Scroll down and click on the words (not checkbox) for Internet Information Services (IIS)
6. It should now be selected, with the checkbox still checked
7. Click the Details button
8. Uncheck the File Transfer Protocol (FTP) Service
9. Click OK
10. Click Next
11. It should now display a progress bar and remove the IIS FTP service.
12. Click Finish
13. Close any open windows (Add/Remove Programs, Control Panel)
14. The built-in FTP server should no longer interfere with GuildFTPd
UNINSTALL Internet Information Server 5.0
[All of it]
If you want to remove all of IIS, simply uncheck the box next to it [#5 above] and then continue with the other steps above as of step #10 (skipping #6 - #9), rather than selecting it and clicking Details.
TURN OFF XP BUILT-IN FIREWALL
1. Log into XP as your administrative account (or as administrator)
2. Open Control Panel
3. Open Network Connections
4. Right-Click Local Area Connection (or the correct connection that you use for Internet connectivity - modem or dial-up for example)
5. Select Properties
6. Click the Advanced Tab
7. Uncheck the "Protect my computer network by limiting...."
8. Click OK
9. You've just disabled the built-in Firewall and Internet users should now be able to connect. Keep in mind that users may need to use the PASV option in their FTP client to connect successfully.
ALLOW FTP THROUGH XP BUILT-IN FIREWALL
1. Log into XP as your administrative account (or as administrator)
2. Open Control Panel
3. Open Network Connections
4. Right-Click Local Area Connection (or the correct connection that you use for Internet connectivity - modem or dial-up for example)
5. Select Properties
6. Click the Advanced Tab
7. Click the Settings button to the lower right
8. Check the FTP Server box, near the top of the list under the Services tab
9. Click OK.
10. Click OK
11. Start up GuildFTPd and test a FTP client from another PC.
12. Testing with XP's firewall set up this way worked using PASV connections from the Internet. However, there has not been a large deal of time spent verifying that all Internet FTP connections will pass through XP's firewall correctly. If your users are having problems connecting and PASV (passive) doesn't help, try disabling the firewall to determine if that is the cause. Unfortunately, the built-in firewall doesn't have a port range that you can set like other routers and firewalls.


LinkSYS Help

LinkSYS DSL/Cable Router Help

The following list of steps are intended to guide you through the steps of using GuildFTPD on a computer that accesses the Internet through a LinkSYS DSL/Cable router. Some of the steps listed might help you configure other similar hardware or software. You'll need to be familiar with your router, so if you just purchased it, you may want to read the documentation and visit the LinkSYS web site for additional information if something isn't quite clear.

IMPORTANT NOTE: These instructions were written based on the firmware revision 1.385 for the BEFSR11 and BEFSR14 models. If you don't have those models or that specific firmware revision, these instructions may not apply. Newer firmware should still apply to these steps, unless settings have been reworded, changed or removed.

- Open the web page to get into the config of your Linksys router. (default address of your LinkSYS router is 192.168.1.1... I set mine manually to 10.0.0.1... the internal GuildFTPD server/PC was manually assigned the address of 10.0.0.50 with a subnet mask of 255.255.255.0 and a gateway of 10.0.0.1-address of LinkSYS router)
- Type in the default password (you should change it) or the one you set up yourself.
- Click the Status page
- The TCP/IP address listed next to, "WAN, IP Address" is the address you need.... write it down

- Open GuildFTPD
- Click the Admin menu
- Click Options
- Click on the Advanced Tab, if not already open
- Click the Passive, Custom IP button (it should be "depressed")
- Type in the IP Address you recorded from the Status page of your LinkSYS router in the box next to the Custom IP button - this address is the public/external address that everyone outside of your network can connect to.
- Set a Start and End Range for the Passive Port Range (like 2100 - 2121)
NOTE: If you set GuildFTPd's primary port to 2100 or another non-standard port, make sure that you don't duplicate that port in your passive port range. Example: If you use 2100 for your primary port, make the passive range start at 2101 or 2102.
- Click OK
- Click Admin menu
- Click Restart server

- Open the properties of your router in your web browser again and login with your password
- Click the DHCP Tab
- Select the Disable option (which means that you're PC's need static addresses)
- Click Apply
- Click Continue
- Click the Advanced Tab
- Click the Filters Tab
- Click the o DISABLE option next to SPI (port forwarding currently won't work if this is ENABLE)
- Click the Forwarding Tab
- Type in the port you've set for GuildFTPD in an unused Service Port Range line [ like 21~21 ] (you set the port for connections to GuildFTPD in the main lower-right window of GuildFTPD and is 21 by default - 2121 & 2100 are popular alternatives that some people use to keep their ISPs from blocking connections)
- Leave the Protocol at both
- Type in the address of your server (like 50 if you've set it to 192.168.1.50)
- If your passive ports are not near your server port, type in the ports you've set for GuildFTPD's Passive Port Range in an unused Service Port Range line [ like 2100~2121 ] (you set the ports for passive ports in the Advanced Setting Tab of the Options in the Admin menu)
NOTE: If you set GuildFTPd's primary port to 2100 or another non-standard port, make sure that you don't duplicate that port in your passive port range. Example: If you use 2100 for your primary port, make the passive range start at 2101 or 2102.
- Leave the Protocol at both
- Type in the address of your server (like 50 if you've set it to 192.168.1.50)
- Click Apply
- Click Continue
- Close the Port Forwarding web browser window

Try to connect from a PC outside of your network now. If you try to connect from one of your internal computers, you must NOT use the passive connection option.

You should be able to connect using the passive option in a FTP client from outside your network only (an active checked option or passive unchecked option won't work from outside your network -- passive connections are required to get through the router).

One note: If you set a passive port range of 2100-2121, you've limited the number of passive connections to 21. This means, that if you've set you other connections limits higher than 21, the passive port range will reduce the limit to 21 for concurrent passive connections. Only active connections from within your network will not count to this total.

Sometimes, it's necessary to upgrade your router's firmware. When you do upgrade your firmware, your settings may not be working even though they are showing up in the router's config. If you've got everything set up, but can't connect, you may need to reset your router. Record all of your current settings, press the reset button, unplug the router for 5 minutes, plug it back in and set it back up.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.

If you can connect to the server internally, but users can't connect from the internet, you may need to correct your router's settings. To see if your router is the problem, you can install and set up LinkSys' Log Viewer. It doesn't come with the router, but I found it by searching Linksys' website - ftp://ftp.linksys.com/pub/befsr41/logviewer.exe

- First, you install the Log Viewer on a Windows computer.
- Next, you go to the Log tab in the router's web config page and click ENABLE.
- Now, type in the IP address of the computer running the Log Viewer program (That computer should have a static IP address).
- When someone tries to connect to the router, you'll see an entry show up in the INCOMING log.
- If the entry shows a destination port that matches your FTP port and a destination IP address of your router's WAN address, your router is mis-configured.
- If the entry shows a destination port that matches your FTP port and the destination IP address of your GuildFTPd server, the problem is the config of either GuildFTPd or a firewall you're using.
- Should the second one be the case, check the syslog.txt in the GuildFTPd directory and see if you can find a login or path or password error.


Netgear Help

Netgear DSL/Cable Router Help

The following list of steps are intended to guide you through the steps of using GuildFTPD on a computer that accesses the Internet through a Netgear DSL/Cable router. Some of the steps listed might help you configure other similar hardware or software. You'll need to be familiar with your router, so if you just purchased it, you may want to read the documentation and visit the Netgear web site for additional information if something isn't quite clear.

IMPORTANT NOTE: These instructions were written based on the firmware revision 3.25 for the RT311 and RT314 models. If you don't have those models or that specific firmware revision, these instructions may not apply. Newer firmware should still apply to these steps, unless settings have been reworded, changed or removed.

- Open the web page to get into the config of your Netgear router. (default address of your Netgear router is 192.168.1.1... I set mine manually to 10.0.0.1... the internal GuildFTPD server/PC was manually assigned the address of 10.0.0.50 with a subnet mask of 255.255.255.0 and a gateway of 10.0.0.1-address of Netgear router)
- Type in the default username (admin) and password (you should change it) or the one you set up yourself.
- Click the Maintenance link to the left
- Click the System Status TAB
- The TCP/IP address listed next to, "WAN, IP Address" is the address you need.... write it down

- Open GuildFTPD
- Click the Admin menu
- Click Options
- Click on the Advanced Tab, if not already open
- Click the Passive, Custom IP button (it should be "depressed")
- Type in the IP Address you recorded from the Status page of your NetGear router in the box next to the Custom IP button - this address is the public/external address that everyone outside of your network can connect to.
- Set a Start and End Range for the Passive Port Range (like 2100 - 2121)
NOTE: If you set GuildFTPd's primary port to 2100 or another non-standard port, make sure that you don't duplicate that port in your passive port range. Example: If you use 2100 for your primary port, make the passive range start at 2101 or 2102.
- Click OK
- Click Admin menu
- Click Restart server

- Open your Web Browser and enter http:// and the IP address of your router
- Enter admin for the username and whatever password you've set (1234 - default)
- Click on the ADVANCED link on the left
- Click on the PORTS link
- Click in the Start Port box of the first non-used rule and enter the FTP port you're using in GuildFTPD (like 21 or 2121)
- Click in the End Port box next to it and enter the same number
- Click in the Server IP Address box next to that and enter the IP address of your server (should be static)
- Click in the Start Port box of the next non-used rule and enter the Start Port you set for the Passive Port Range in GuildFTPd
NOTE: If you set GuildFTPd's primary port to 2100 or another non-standard port, make sure that you don't duplicate that port in your passive port range. Example: If you use 2100 for your primary port, make the passive range start at 2101 or 2102.
- Click in the End Port box next to it and enter the End Port you set for the Passive Port Range in GuildFTPd
- Click in the Server IP Address box next to that and enter the IP address of your server
- Click Apply

NOTE: If you use port 21 for your FTP server, keep these two considerations in mind....
1. Make sure your ISP is not going to shut off your account if they see you doing this.
2. You need to disable a default filter that will prevent FTP from being forwarded.

To disable the default FTP filter...
- Use a Telnet client to access the internal configuration Manager at 192.168.0.1.
- Login using your current router management password (default is 1234).
- Select Menu 21 - Filter Set Configuration.
- Enter 3 to select Filter Set Number 3 (TEL_FTP_WEB_WAN) for editing.
- Press ENTER three times to reach Menu 21.3 - Filter Rules Summary.
Three rules are shown:
Rule 1 for Telnet (Port 23), Rule 2 for FTP (Port 21), and Rule 3 for HTTP (Port 80)
- Enter the number of the rule that you want to change (2) and press ENTER.
- In the Filter Rule menu, use Tab or Enter to reach the Action Matched parameter.
- Press the Space Bar until Action Matched = Forward.
- Press ENTER three more times to save the menu and exit to the previous menu.
- Press ESC twice to return to the top menu, and type 99 to exit the Telnet session.

Try to connect from a PC outside of your network now. If you try to connect from one of your internal computers, you must NOT use the passive connection option.

You should be able to connect using the passive option in a FTP client from outside your network only (an active checked option or passive unchecked option won't work from outside your network -- passive connections are required to get through the router).

One note: If you set a passive port range of 2100-2121, you've limited the number of passive connections to 21. This means, that if you've set you other connections limits higher than 21, the passive port range will reduce the limit to 21 for concurrent passive connections. Only active connections from within your network will not count to this total.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.


SMC Help

SMC Barricade 7008 Broadband Router Help

The following list of steps are intended to guide you through the steps of using GuildFTPD on a computer that accesses the Internet through a SMC broadband router. Some of the steps listed might help you configure other similar hardware or software. You'll need to be familiar with your router, so if you just purchased it, you may want to read the documentation and visit the SMC web site for additional information if something isn't quite clear.

IMPORTANT NOTE: These instructions were written based on the firmware revision 1.94a for the SMC7008BR model. If you don't have this model or that specific firmware revision, these instructions may not apply. Newer firmware should still apply to these steps, unless settings have been reworded, changed or removed.

If you have a permanent IP address, open your SMC router status web page (default is http://192.168.123.254/) and get the router external address written next to "IP address".
Else, you should suscribe to an Dynamic DNS service like dyndns.org and use BaliDDNS for updating DNS servers.

- Open GuildFTPD
- Click the Admin menu
- Click Options
- Click on the Advanced Tab, if not already open
- Click the Passive, Custom IP button (it should be "depressed")
- Type in the IP Address you recorded from the Status page of your SMC router in the box next to the Custom IP button if you have a static IP address or your hostname (like pseudo.dyndns.org) - this address is the public/external address or hostname that everyone outside of your network can connect to.
- Set a Start and End Range for the Passive Port Range (like 2100 to 2121)
- Click OK
- Click Admin menu
- Click Restart server

- Open your Web Browser and enter the status web page of your router
- Enter the password you've set to login and access the configuration page (default is admin)
- Click on the "Virtual Server" link on the left
- Enter the GuildFTPd server port (default is 21) and IP address (local one) in the "Service Ports" and the "Server IP" fields and check the Enable checkbox
- Enter the "Passive Port Range" (like 2100-2121) and local IP address of GuildFTPd in the "Service Ports" and the "Server IP" fields and check the Enable checkbox
- Click the "Save" button
- Click the "Restart" button to have the router taking modifications in consideration

NOTE: If you use port 21 for your FTP server, make sure your ISP is not going to shut off your account if they see you doing this.

Try to connect from a PC outside of your network now. If you try to connect from one of your internal computers, you must NOT use the passive connection option.

You should be able to connect using the passive option in a FTP client from outside your network only (an active checked option or passive unchecked option won't work from outside your network -- passive connections are required to get through the router).

One note: If you set a passive port range of 2100-2121, you've limited the number of passive connections to 21. This means, that if you've set you other connections limits higher than 21, the passive port range will reduce the limit to 21 for concurrent passive connections. Only active connections from within your network will not count to this total.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.


Conseal PC Firewall Help

The following list of steps are intended to guide you through the steps of using GuildFTPD on a computer that accesses the Internet through Conseal PC Firewall. Some of the steps listed might help you configure other similar hardware or software. You'll need to be familiar with your software, so if you just purchased it, you may want to read the documentation and visit the Conseal PC Firewall web site for additional information if something isn't quite clear.

IMPORTANT NOTE: These instructions were written based on Conseal PC Firewall 2.09. If you don't have this version, these instructions may not apply.

It is assumed that your computer it directly connected to the Internet and you do not also use a router to share your Internet connection. If you share your Internet connection and have a router, you'll need to set it and GuildFTPd up first. Then, you can configure the firewall. Otherwise, you should configure GuildFTPd's Advanced option to use the same Passive IP address that the computer has (Windows 9x/Me -> winipcfg from RUN, Windows NT/W2K -> ipconfig /all from RUN) and then configure what ever port range you wish to use.

- Open the ConSeal PC Firewall icon from the Start Menu or Desktop
- Click the Rules menu option
- Click on the All Network Devices tab at the top
- In the Manual section at the top, click the Add button
- Leave All Network Devices under the "Rule change applies to these devices:"
- Type in a description for this setup, like "Allow FTP port 21"
- Click NEXT
- Do not select a Service - Leave it blank
- Select TCP/IP for the Protocol
- Make sure inbound and outbound are checked
- Make sure On Match has Allow checked
- Click NEXT
- Under the Remote section at the top, make sure that All Addresses and Temporary Range are checked
- Under the Local section, make sure My Address is checked and type in 21 for both Port boxes
- Click NEXT
- Make sure that Rule Applies is set to Always
- It is not necessary but is recommended to at least check the Log Connection under Options at the bottom
- Click FINISH
- In the Manual section at the top, click the Add button - again
- Leave All Network Devices under the "Rule change applies to these devices:"
- Type in a description for this setup, like "Allow FTP port 2100-2200"
- Click NEXT
- Do not select a Service - Leave it blank
- Select TCP/IP for the Protocol
- Make sure inbound and outbound are checked
- Make sure On Match has Allow checked
- Click NEXT
- Under the Remote section at the top, make sure that All Addresses and Temporary Range are checked
- Under the Local section, make sure My Address is checked and type in the passive port start and end range that you've set in GuildFTPd
- Click NEXT
- Make sure that Rule Applies is set to Always
- It is not necessary but is recommended to at least check the Log Connection under Options at the bottom
- Click FINISH

You should now be able to connect to GuildFTPd when it's running on the computer with Conseal PC Firewall 2.09 installed.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.


Norton Personal Firewall Help

The following list of steps are intended to guide you through the steps of using GuildFTPD on a computer that accesses the Internet through Norton Personal Firewall. Some of the steps listed might help you configure other similar hardware or software. You'll need to be familiar with your software, so if you just purchased it, you may want to read the documentation and visit the Symantec web site for additional information if something isn't quite clear.

IMPORTANT NOTE: These instructions were written based on Norton Personal Firewall 3.0. If you don't have this version, these instructions may not apply.

It is assumed that your computer it directly connected to the Internet and you do not also use a router to share your Internet connection. If you share your Internet connection and have a router, you'll need to set it and GuildFTPd up first. Then, you can configure the firewall. Otherwise, you should configure GuildFTPd's Advanced option to use the same Passive IP address that the computer has (Windows 9x/Me -> winipcfg from RUN, Windows NT/W2K -> ipconfig /all from RUN) and then configure what ever port range you wish to use.

- Open the Norton Personal Firewall icon from the Start Menu
- Click the Personal Firewall option to the left to open it's sub-menus
- Click on the Internet Access Control option to the left.
- Click the Add button and browse to GuildFTPd [like C: \Program Files\GuildFTPd\GuildFTPd.exe]
- Select the option, "Permit this application to access the Internet"
- Click OK to continue to the next option
- Select the Action Category of "file transfer"
- Click OK to save the settings
- Now, click the Configure button, above the box listing the applications
- Select "System-Wide settings"
- Click the Add button
- Configure the Action option to be "Permit Internet Access"
- Click OK
- Configure the Connections option to be "Connections to and from other computers"
- Click OK
- Configure the Computers option to be "Any computer"
- Click OK
- Configure the Communications options by performing the following:
- Click Add
- Select TCP and UDP
- Select Only types listed below
- Click Add
- Select Individual Port
- Select Local
- Type in the port you've set up in GuildFTPd's Options (on your system or group or user... not in the Advanced Settings tab)
- Click OK
- Click Add
- Select Individual Port
- Select Remote
- Type in the port you've set up in GuildFTPd's Options (on your system or group or user... not in the Advanced Settings tab)
- Click OK
- Select the Tracking option of "create an event log" <This is only recommended.... it is not necessary>
- Click OK
- Provide a name for this rule, like FTP Connection Port
- Click OK
- Click Add, again
- Select TCP and UDP
- Select Only types listed below
- Click Add
- Select Port Range
- Select Local
- Type in the port you've set up in GuildFTPd's Advanced options Options (in the Advanced Settings tab)
- Click OK
- Click Add
- Select Individual Port
- Select Remote
- Type in the port you've set up in GuildFTPd's Advanced options Options (in the Advanced Settings tab)
- Click OK
- Select the Tracking option of "create an event log" <This is only recommended.... it is not necessary>
- Click OK
- Provide a name for this rule, like FTP Passive Ports
- Click OK
- Continue clicking OK until you can select the X in the upper right window to close the config manager

You should now be able to connect to GuildFTPd when it's running on the computer with Norton Personal Firewall 3.0 installed.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.


ZoneAlarm Personal Firewall Help

The following list of steps are intended to guide you through the steps of using GuildFTPD on a computer that accesses the Internet through ZoneAlarm Personal Firewall (free version). Some of the steps listed might help you configure other similar hardware or software. You'll need to be familiar with your software, so if you just purchased it, you may want to read the documentation and visit the Zone Labs web site for additional information if something isn't quite clear.

IMPORTANT NOTE: These instructions were written based on ZoneAlarm Personal Firewall 2.6.357. If you don't have this version, these instructions may not apply.

It is assumed that your computer it directly connected to the Internet and you do not also use a router to share your Internet connection. If you share your Internet connection and have a router, you'll need to set it and GuildFTPd up first. Then, you can configure the firewall. Otherwise, you shouldn't need to do anything to GuildFTPd (that means don't set up the passive support), just set up ZoneAlarm.

- Open the ZoneAlarm Personal Firewall icon from the Start Menu (or right-click the icon in the systray and select Restore ZoneAlarm Control Center
- Now, start GuildFTPd
- ZoneAlarm should prompt you with a message similar to this one,
"Do you want GuildFTPd FTP Server daemon to act as a server?"
- Check the box for "Remember this answer the next time I use this program"
- Click YES
- Now, if you click the PROGRAMS tab of the ZoneAlarm Control Center, you should see GuildFTPd Server Daemon listed
GuildFTPd should have four green check marks next to it; two for Allow connect and two for Allow server.
- If GuildFTPd does not have all four green check marks, right-click on GuildFTPd in the list and select
- Local Network --> Allow
- Local Network --> Allow server
- Internet --> Allow
- Internet --> Allow server

You should now be able to connect to GuildFTPd when it's running on the computer with ZoneAlarm Personal Firewall 2.6.357 installed.

Don't forget to check the syslog.txt and make sure that GuildFTPd is recording a Success audit for the ListenSocket Create and ListenSocket Listen options for your FTP port. If they aren't Success, you probably have another program running that is using the same port. You'll need to reconfigure GuildFTPd or the other program to prevent the conflict.


Misc. Buttons / Options / Icons

More Detail:

*System* -- This icon is found in the left window.
- You select this icon to change the SYSTEM settings
and global (SYSTEM) paths.

*Group* -- This icon is found in the left window.
- You select this icon to change the GROUP settings
and GROUP paths.

*User* -- This icon is found in the left window.
- You select this icon to change the USER settings
and USER paths.

*Disabled / Ignore-Inherit* -- This icon is found in the lower right window.
- This icon shows you that the USER or GROUP is using a default setting from the next level up. SYSTEM should never have any of these.

*Enabled / Override* -- This icon is found in the lower right window.
- This icon shows you that the USER, GROUP, or SYSTEM is using a specific setting that is different from the next level up. Click to check/uncheck.
IMPORTANT: SYSTEM should always have all options enabled.

*Upper Path* -- This icon is found in the lower right window.
- There's nothing you can do to this icon. This icon shows
you that the directory shown is inherited from a higher source,
such as a GROUP or from the SYSTEM. You must select that
source in order to modify this path.

*Dir Path* -- This icon is found in the lower right window.
- This icon shows you that the directory properties CAN be
modified (the yellow-wheel is the key).

*Connected* -- This icon is found in the upper right window.
- This icon shows that a user is connected to the server (SYSTEM).

*Disconnected* -- This icon is found in the upper right window.
- This icon shows that a user is disconnected from the server (SYSTEM).


SITE ADMIN Commands List

Once you've set up your initial system settings as well as the groups and the paths they have access to, you can use the SITE commands while connected to the server to setup and administer the users and connections on/to the server. These are very handy for remote administration.

IMPORTANT: The user or group that you want to log into the server and use these SITE commands with must have the Permission Flag setting set to a 1 in the Options TAB . All SITE commands are case sensitive. You must use matching upper and lower case letters when identifying GROUP and USER names.

NOTE: You must have the latest GuildFTPd plug-ins for the SITE commands to work properly. If you just updated GuildFTPd, you should visit http://www.guildftpd.com and go to the downloads page and get the latest versions of any plug-ins you use.

If you use a DOS FTP client or have one that does not use the SITE command, you can use the QUOTE command in front of SITE to perform the same tasks.
EXAMPLE: QUOTE SITE ADDUSER joe joespassword

The commands are listed in the following format:

Simple description:
Command w/ variables
More Info
example

COMMANDS:

*Add USER:
*SITE ADDUSER %d[Group:] %d[Usename:] %d[Password:]
Add user will add user to the given group on the ftp server
SITE ADDUSER MYUSERS joe passwordislong

*Add GROUP:
*SITE ADDGROUP %d[Group:]
Add group will add a group on the ftp server
SITE ADDGROUP uploadusers

Delete User:
SITE DELUSER %d[User:]
Delete the user's login & password
SITE DELUSER joe

*Delete GROUP:
*SITE DELGROUP %d[Group:]
Delete group will delete a group and all of its users on the ftp server
SITE DELGROUP uploadusers

*Add PATH:
*SITE ADDPATH %d[Group\User:] %d[Local Path:] %d[Virtual Path:]
Add path will add a path on the ftp server
SITE ADDPATH uploadusers d: \ftp\upload /upload

*Delete PATH:
*SITE DELPATH %d[Group\User:] %d[Local Path:] %d[Virtual Path:]
Delete path will delete a path from the ftp server
SITE DELPATH uploadusers d: \ftp\upload /upload

*Change Login Amont:
*SITE CHLOGINS %d[Username:] %d[Amount]
Change Maximum Login Amount for a certain User name
SITE CHLOGINS joe 60

Allow Anonymous login:
SITE ANON ALLOW
Users using the anonymous account will be able to login
SITE ANON ALLOW

Deny Anonymous Login:
SITE ANON DENY
Users using the anonymous account will NOT be allow to login
SITE ANON DENY

*Change Login Pass:
*SITE CHPASS %d[user] %d[new pass]
Changes the user's password.
SITE CHPASS joe mynewlongpassword

*Disable User:
*site disable %d[User:]
Users trying to login using a certain username and password won't be able to get in. But the username and password will remain.
SITE DISABLE joe

*Enable User:
*site enable %d[User:]
If the Siteop has disabled the username and password, this option will enable users to login again. Useful for temporary accounts such as upload/upload if you don't want people to keep uploading too much.
SITE ENABLE joe

*Who's online:
*SITE WHO
Shows you a list of users currently logged in
SITE WHO

*Kick a User:
*SITE KICK %d[user id]
After doing the SITE WHO you can select which user to kick.
SITE KICK joe

*Send a message to the server console:
*SITE MSG [text]
This will send a message to the server console that can be read by the admin in the message window.
SITE MSG Hello server admin
** NOTE ** This is the only SITE command that can be used by any user.


Toolbar Buttons/Icons

RIGHT-CLICK OPTIONS:

When you right-click in the unused area of the toolbar you can either hide it by clicking on Toolbar or Customize it. When you choose to customize it, you can change the order of the buttons or take buttons out of the toolbar. If you want to get the default toolbar back, just click the RESET button.

BUTTON DESCRIPTIONS:

*Server ON/OFF* -- You can turn your server
ON and OFF with this button.
- When you select OFF you will get a message box.
Selecting the ON button will turn the server back on.

*Add GROUP* -- You can add a GROUP to
the SYSTEM with this button.
- Before you can click this button, you must have
the SYSTEM icon selected in the left window.
Clicking this button will prompt you for a GROUP name.

*Add USER* -- You can add a USER to a
GROUP with this button.
- Before you can click this button, you must have
a GROUP icon selected in the left window.
Clicking this button will prompt you for a
USER name and password.
*NOTE* If you do not type anything in for a password,
that user will be able to log in with or without entering a
password. (anonymous-like)

*Add PATH* -- You can add a PATH to the
SYSTEM / GROUP / USER with this button.
- When you select OFF you will get a message box.
Selecting the ON button will turn the server back on.

*Edit GROUP* -- You can edit a GROUP
with this button.
- When you select a GROUP in the left window and
click this button, you have the ability to rename a GROUP.

*Edit USER* -- You can edit a USER
with this button.
 - When you select a USER in the left window and
click this button, you have the ability to rename a USER
or change the USER's password.

*Edit PATH* -- You can edit a PATH
with this button.
- When you select a PATH (with a yellow-wheel [image] )
in the lower right window and click this button,
you have the ability to rename the VIRTUAL name,
browse to a different LOCAL directory/drive, or
change the ATTRIBUTES of the PATH.

*Delete GROUP* -- You can edit a GROUP
with this button.
- When you select a GROUP in the left window and
click this button, you have the ability to delete a GROUP.
You will be prompted to confirm the delete.
*NOTE* This will delete all USERS in that GROUP as well.

*Delete USER* -- You can edit a USER
with this button.
- When you select a USER in the left window and
click this button, you have the ability to delete the USER.
You will be prompted to confirm the delete.

*Delete PATH* -- You can edit a PATH
with this button.
- When you select a PATH (with a yellow-wheel [image] )
in the lower right window and click this button,
you have the ability to DELETE the PATH.
You will be prompted to confirm the delete.

*Event Manager* -- You can open the Event Manager
with this button.
- Same as selecting Event Manager from the Admin menu.
Allows you to change the events that occur when certain conditions
are met on the server (like when a user logs in/out or uploads/downloads files)

*Server Messages* -- You can open the Server Messages
with this button.
- Same as selecting Server Messages from the Admin menu.
Allows you to set messages that the user sees on his/her FTP client when
performing tasks like logging in, uploading files or download files. There
are variables you can use the allow the messages to be customized based
on each user and the task they are performing.

*Server Options* -- You can open the Server Options
with this button.
- Same as selecting Options from the Admin menu.
Allows you to change settings like:
-- server name
-- autoban options
-- mIRC DDE options
-- passive connection settings
-- how deleted files are handled

*Tip of the Day* -- You can open the Tip of the Day
with this button.
- Allows you to view the Tip of the Day. Also allows you
to turn the tips on or off at startup.

*Help* -- You can open the Help file
with this button.
- Opens the current help file that has been distributed with
GuildFTPD.

*BAN LIST* -- You can open the Ban List with this button.
- Opens the server ban list.

*Exit GuildFTPd* -- You can exit the program
with this button.
- Same as Clicking the X or selecting the File menu and clicking Exit..

*Kick User* -- You can kick a connected user
with this button.
- You must select an actively connected user before you can click this button.

*Restart Server* -- You can restart the server
with this button.
- Same as selecting the Admin menu and clicking Restart Server.
Restarting the server is most commonly necessary after server option changes.

*Send to SYSTRAY* -- You can minimize GuildFTPd to the SYSTRAY
with this button.
- Same pressing the ESC key.

*IP MASK* -- You can open the IP Mask list
with this button.
- The IP Mask list is a list of IP addresses or range of IP addresses
that you can specifically allow or deny from connecting to your server.

*View SYSLOG.TXT* -- You can open the syslog.txt file within notepad
with this button.
- This button allows faster access to the syslog.txt, which can be used for troubleshooting.


Event Manager plugin - Events Variable Usage Chart

Events Manager Plug-in - Events Variable Usage Chart

The following chart lists what variables can be used with each event. Only variables charted with a YES will work with the associated variable. All variables are CASE-SENSITIVE. A description of what each variable does is provided after the chart.

EVENT |  |  |  |  |  |  | VARIABLES |  |  |  |  |  |  |  |
 | %FILE | %FILE_8.3 | %FILENAME | %FILENAME_8.3 | %FILEEXT | %FILENOEXT | %FILEPATH | %FILEPATH_8.3 | %FILESIZE | %DATE | %TIME | %USERNAME | %USERGROUP | %USERIP | %USERPASS
ON ADMIN MESSAGE |  |  |  |  |  |  |  |  |  | YES | YES | YES | YES | YES | YES
ON DIR CREATED | YES | YES |  |  |  |  | YES | YES |  | YES | YES | YES | YES | YES | YES
ON DIR DELETED | YES | YES |  |  |  |  | YES | YES |  | YES | YES | YES | YES | YES | YES
ON EVERY 5 MINUTES |  |  |  |  |  |  |  |  |  | YES | YES |  |  |  |
ON EVERY DAY |  |  |  |  |  |  |  |  |  | YES | YES |  |  |  |
ON EVERY HOUR |  |  |  |  |  |  |  |  |  | YES | YES |  |  |  |
ON FILE DELETED | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES
ON FILE DOWNLOADED | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES
ON FILE RENAMED | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES
ON FILE UPLOADED | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES
ON FILE UPLOADED FAILED | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES | YES
ON SAME IP CONNECT |  |  |  |  |  |  |  |  |  | YES | YES | YES | YES | YES | YES
ON SERVER CLOSED |  |  |  |  |  |  |  |  |  | YES | YES |  |  |  |
ON SERVER STARTED |  |  |  |  |  |  |  |  |  | YES | YES |  |  |  |
ON SERVER STOPPED |  |  |  |  |  |  |  |  |  | YES | YES |  |  |  |
ON TOO MANY USERS |  |  |  |  |  |  |  |  |  | YES | YES | YES | YES | YES | YES
ON USER & PASS |  |  |  |  |  |  |  |  |  | YES | YES |  |  |  |
ON USER DISCONNECT |  |  |  |  |  |  |  |  |  | YES | YES | YES | YES | YES | YES
ON USER HAMMERING |  |  |  |  |  |  |  |  |  | YES | YES |  |  | YES |
ON USER IS BANNED |  |  |  |  |  |  |  |  |  | YES | YES |  |  | YES |
ON USER TIME OUT |  |  |  |  |  |  |  |  |  | YES | YES | YES | YES | YES | YES
ON WELCOME USER |  |  |  |  |  |  |  |  |  | YES | YES | YES | YES | YES | YES

VARIABLES DESCRIPTIONS:

%FILE - Complete path to file, including the filename

%FILE_8.3 - Same as %FILE, but in the 8.3 path format

%FILENAME - Only the filename

%FILENAME_8.3 - Same as %FILENAME, but in the 8.3 path format

%FILEEXT - Extension of the file in uppercase

%FILENOEXT - Filename without the extension

%FILEPATH - The path to the file, without the filename

%FILEPATH_8.3 - Same as %FILEPATH, but in the 8.3 path format

%FILESIZE - The size of the file in bytes

%DATE - Current date in xx.xx.xx [ Month.Day.Year ] format

%TIME - Current time in xx.xx.xx [ Hour.Minute.Seconds ] format

%USERNAME - The user account

%USERGROUP - The group name the user is a member of

%USERIP - The user's IP address

%USERPASS - The password the user supplied via the FTP client

EXAMPLES:
** WE WELCOME MORE EXAMPLES. EMAIL US AT guildftpd@guildftpd.com **

OnFileUpload: c: \myad\ upload.bat %FILEEXT %FILE

REM Contents of Upload.bat

IF "%1"==".RAR" GOTO RARFILE
IF "%1"==".ZIP" GOTO ZIPFILE
GOTO QUIT
:RARFILE
c:\rar\rar.exe a %2 c:\myad\ad.txt
GOTO QUIT
:ZIPFILE
c:\pkzip\pkzip.exe -a %2 c:\myad\ad.txt
GOTO QUIT
:QUIT

END Contents

OnEveryDay: c: \evryday.bat %DATE

REM Contents of evrydat.bat

c:
cd\
md "uploads_for_%1"
xcopy c: \myuploadsdirectory c: \uploads_for_%1

END Contents

This will put all the uploads into separate directories for each day... i.e. c: \uploads_for_09.02.01


MAX Connections - More Detail

This page is designed to explain in more detail how the Max Connections at Level, Max IP connections and Max Acct Connections work together to limit how many times any given user account can connect to GuildFTPd from a given IP address.

Let's use the following as our starting example.

You have a very simple server set up and you've only modified the Max Connections settings.

SYSTEM
- Max Connections at Level = 4
- Max IP Connections = 2
- Max Acct Connections = 2

MY GROUP (a group)
< not changed - get settings from SYSTEM >

ANONYMOUS (a user in MY GROUP)
< not changed - get settings from SYSTEM >

JOE (a user in MY GROUP)
< not changed - get settings from SYSTEM >

The settings that are in affect for MY GROUP, JOE and ANONYMOUS are what have been set on SYSTEM because you have not checked those same OPTION boxes on either MY GROUP, JOE or ANONYMOUS; they are unchecked.

JOE can log on 2 times.
ANONYMOUS can log on 2 times.
On the same computer, JOE can log on once and ANONYMOUS can log on once if both are connecting at the same time or either one can log on twice.

If you change the settings for MY GROUP, those users in MY GROUP will now use it's settings.

SYSTEM
- Max Connections at Level = 4
- Max IP Connections = 2
- Max Account Connections = 2

MY GROUP (a group)
- Max Connections at Level = 2
- Max IP Connections = 1
- Max Account Connections = 1

ANONYMOUS (a user in MY GROUP)
< not changed - get settings from MY GROUP>

JOE (a user in MY GROUP)
< not changed - get settings from MY GROUP>

JOE can log on 1 time.
ANONYMOUS can log on 1 time.
On the same computer, JOE can log on once or ANONYMOUS can log on once and both cannot be logged on at the same time from the same computer

You can even limit each user to his/her own connection settings.

NOTE: Keep in mind that the settings on SYSTEM control the entire server. If you set Max Connections at Level = 10 on SYSTEM, that's the total number of users that can connect, no matter what other settings you use elsewhere on the server.


Troubleshooting GuildFTPD with mIRC

Email questions or problems to: guildftpd@guildftpd.com or jesper@guildftpd.com
or visit http://www.guildftpd.com and check out the message board or help section.


GuildFTPD Terms

GLOSSARY

root directory [also / ]
- A root directory is the lowest level that your users can get to and use on your FTP server. It's the starting point.
example:
When you open My Computer or Windows Explorer C:\ is a root directory. It's the first level of your hard drive, labeled C:. On an FTP server, you have the ability to set up what folder is your starting point [root - / ].

virtual directory [also / ]
- A virtual directory is a directory that is used in GuildFTPd instead of the local directory. You only see virtual directories when you connect to GuildFTPd using a FTP client.
example:
When you use a FTP client, like SmartFTP, to connect to GuildFTPd, you will see directories, like /pub or /upload. These directories may be C: \FTPdir \pub or C: \FTPdir \upload on your computer but will appear to be the only subdirectories on your server.